gcc-2.95 (2.95.4.ds14-15) unstable; urgency=high

  * The "do-upload-the-debs-you-checked-and-no-other-debs" release.
    Closes: #169003, #168991, #168998.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Nov 2002 07:42:14 +0100

gcc-2.95 (2.95.4.ds14-14) unstable; urgency=low

  * Fix glibc version at 2.2 for libstdc++2.10 package and soname.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2002 19:05:31 +0100

gcc-2.95 (2.95.4.ds14-13) unstable; urgency=low

  * Disable libg++ for cross builds (closes: #164582).
  * Correct libc-dev dependency on the Hurd (closes: #163238).
  * Build-depend on bison-1.35.
  * gpc-updates.dpatch: Fix build failure for mips and mipsel.
  * Disable g++ on the Hurd (closes: #163234).
  * Don't compress Pascal example files.
  * Install more goc doc files.
  * Install gpc-run script (undocumented).

 -- Matthias Klose <doko@debian.org>  Wed, 23 Oct 2002 22:34:03 +0200

gcc-2.95 (2.95.4.ds14-12) unstable; urgency=low

  * Updated Pascal to 20020910 alpha release.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Sep 2002 21:28:46 +0200

gcc-2.95 (2.95.4.ds13-11) unstable; urgency=low

  * Add ARM patch for profiling, closes: #153261

 -- Phil Blundell <pb@debian.org>  Wed, 31 Jul 2002 18:20:01 +0100

gcc-2.95 (2.95.4.ds13-10) unstable; urgency=low

  * chill: remove info docs on package removal (closes: #146850).
  * Updated s390 patch. Fixes several internal compiler errors (Gerhard Tonn).

 -- Matthias Klose <doko@debian.org>  Sun, 14 Jul 2002 19:57:23 +0200

gcc-2.95 (2.95.4.ds13-9) unstable; urgency=low

  * Final gpc-2.1 release.
  * Don't build the protoize-2.95 package anymore.

 -- Matthias Klose <doko@debian.org>  Sat, 11 May 2002 10:06:10 +0200

gcc-2.95 (2.95.4.ds12-8) unstable; urgency=medium

  * Updated gpc to 2.1 RC 7. Fixes among other building with -pipe
    and usinf the gmp unit to work with gmp-4.0 (closes: #144123).

 -- Matthias Klose <doko@debian.org>  Sat, 27 Apr 2002 16:05:30 +0200

gcc-2.95 (2.95.4.ds11-7) unstable; urgency=low

  * Update gcov manpage (closes: #138665).

 -- Matthias Klose <doko@debian.org>  Sat, 13 Apr 2002 01:51:44 +0200

gcc-2.95 (2.95.4.ds11-6) unstable; urgency=low

  * Updated gpc to 2.1 RC 6.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Apr 2002 01:51:44 +0200

gcc-2.95 (2.95.4.ds10-5) unstable; urgency=low

  * Add self to Uploaders
  * Updated gpc to 2.1 RC 4.
  * Remove ineffectual libf2c-alpha patch; note -mieee multilib for
    Fortran on Alpha (closes: #136359)

 -- Philip Blundell <pb@debian.org>  Wed, 20 Mar 2002 23:28:40 +0000

gcc-2.95 (2.95.4.ds9-4) unstable; urgency=low

  * Build libf2c-pic with -mieee as well on alpha-linux (closes: #136359).

 -- Matthias Klose <doko@debian.org>  Sun, 10 Mar 2002 00:45:27 +0100

gcc-2.95 (2.95.4.ds9-3) unstable; urgency=medium

  * Updated s390 patch fixing several internal compiler errors (Gerhard Tonn).
  * New patch by Phil Blundell to fix scalapack build error on m68k.
    Closes: #129573.
  * New patch backported by Phil Blundell fixing misunhandlng % with unsigned
    long operands on arm. Closes: #130394.
  * Build libf2c with -mieee on alpha-linux (closes: #136359).
  * Updated gpc to next release candidate.

 -- Matthias Klose <doko@debian.org>  Mon,  4 Mar 2002 20:55:42 +0100

gcc-2.95 (2.95.4.ds8-2) unstable; urgency=medium

  * Disable the testsuite in this upload. We have the test results from
    the previous upload. Fixes the bootstrap error on arm (gpc testsuite).
    Closes: #128422. 
  * Correct the gcc version number. We use the gcc-2_95-branch, with the
    last change in 2001-10-02. This is NOT an 2.95.4 upstream release.
  * Fix incorrectly generated CHILL package description, which makes
    the package description quiet unreadable (closes: #127928).
  * Reenable Pascal for mips (check by Christoph Martin) and mipsel.
    Run the testsuite for these architectures.
  * g77/README.libg2c.Debian: New file mentioning `libg2c-pic'.
  * Disbale NLS; gettext support in gcc 2.95 is known not to work.
    Closes: #129294.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jan 2002 11:38:47 +0100

gcc-2.95 (2.95.4.ds8-1) unstable; urgency=medium

  * Build with "BOOT_CFLAGS = -g -O2"; for some reason we built with -O3,
    which caused boostrap errors in gpc on arm, sparc, s390 and m68k.
  * Update package description pointing to date of last CVS update
    (closes: #126316). Decouple the numbering of the Debian release number
    from the last update in the CVS. Seems to be misleading... This is
    still not an upstream release. Upstream developers claim in lk, this 
    compiler is "flakey at best". See
    http://lists.debian.org/debian-gcc/2001/debian-gcc-200112/msg00159.html
  * XXX-2.95-doc packages conflict/replace old (2.95.2) xxx-doc packages.
  * debian/patches/strength-red.dpatch: New patch.
  * Apply gpc upstream patch (closes: #126240).
  * Reenable the gpc testsuite.

 -- Matthias Klose <doko@debian.org>  Thu,  3 Jan 2002 19:40:06 +0100

gcc-2.95 (2.95.4.ds7-0.011223) unstable; urgency=medium

  * Undo debian/patches/libstdc++-sstream.dpatch. Closes #109073, #115978.
    Reopens #92524, #100571. The patch breaks debian/bugs/bug-115978.cc.
  * Updated gpc sources to CVS 20011222 (gpc-2.1 release candidate 1).
  * Correct chill package description (closes: #118227).
  * Reenable building chill on m68k (closes: #118754).

 -- Matthias Klose <doko@debian.org>  Sun, 23 Dec 2001 11:07:43 +0100

gcc-2.95 (2.95.4.ds6-0.011006) unstable; urgency=low

  * Updated sources to CVS 20011006 (last change 20011002). Fixes #114216.
  * Updated gpc sources to 20010924.

 -- Matthias Klose <doko@debian.org>  Sat,  6 Oct 2001 15:24:17 +0200

gcc-2.95 (2.95.4.ds5-0.010902) unstable; urgency=low

  * Updated sources to CVS 20010901 (last change 20010829).
    One change for alpha.
  * debian/patches/m68k-reload.dpatch: New patch (Roman Zippel).
    Fixes #89023.
  * Add gcc-3.0.1 testsuite; note, that the test-summary file is meaningful
    only in comparision with the test-summary file in the gcc-3.0 package.

 -- Matthias Klose <doko@debian.org>  Sun,  2 Sep 2001 14:04:38 +0200

gcc-2.95 (2.95.4.ds4-0.010827) unstable; urgency=low

  * Depend on libgc6-dev, not libgc5-dev, which got obsolete (during
    the freeze ...). However adds s390 and hurd-i386 support
    (closes: #110191).

 -- Matthias Klose <doko@debian.org>  Sun, 26 Aug 2001 23:33:52 +0200

gcc-2.95 (2.95.4.ds4-0.010826) unstable; urgency=low

  * Build libg2c.a with -fPIC -DPIC and name the result libg2c-pic.a.
    Link with this library to avoid linking with non-pic code.
    Use this library when building dynamically loadable objects (python
    modules, gimp plugins, ...), which need to be linked against g2c or
    a library which is linked against g2c (i.e. lapack). Packages needing
    '-lg2c-pic' must have a build dependency on
    'g77-2.95 (>= 1:2.95.4-0.010826).

 -- Matthias Klose <doko@debian.org>  Sun, 26 Aug 2001 13:59:03 +0200

gcc-2.95 (2.95.4.ds4-0.010825) unstable; urgency=low

  * debian/patches/gcc-gas-hidden.dpatch: Updated. Disable for
    alpha and s390.
  * debian/patches/gcc-s390.dpatch: Updated patch (Gerhard Tonn).

 -- Matthias Klose <doko@debian.org>  Thu, 16 Aug 2001 22:39:32 +0200

gcc-2.95 (2.95.4.ds4-0.010810) unstable; urgency=low

  * Exclude libgc5-dev from build depends on s390 (closes: #107191).
  * Enable ObjC GC on m68k.
  * debian/patches/gcc-s390.dpatch: Updated patch (Gerhard Tonn).
  * Tighten libstdc++ shlib dependency to 010810 (#107743).

 -- Matthias Klose <doko@debian.org>  Fri, 10 Aug 2001 19:04:02 +0200

gcc-2.95 (2.95.4.ds4-0.010721) unstable; urgency=low

  * m68k md fix (closes: #105622) (Roman Zippel).
  * debian/rules2: Disable non-functional ulimit on Hurd (closes: #105884).
  * debian/patches/gcc-s390.dpatch: Updated patch (Gerhard Tonn).
  * debian/patches/gcc-gas-hidden.dpatch: Don't apply for alpha.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jul 2001 12:44:23 +0200

gcc-2.95 (2.95.4.ds4-0.010703) unstable; urgency=low

  * libf2c/libI77: Use mkstemp in open.c (closes: #100543).
  * debian/patches/gcc-gas-hidden.dpatch: New patch.
  * Add gcc-3.0 testsuite; note, that the test-summary is meaningful
    only in comparision with the test-summary file from 3.0.

 -- Matthias Klose <doko@debian.org>  Tue,  3 Jul 2001 07:22:41 +0200

gcc-2.95 (2.95.4.ds3-0.010629) unstable; urgency=low

  * The 2.95.4.ds2-0.010604 got lost in 2.95.4.ds3-0.010628. Readded.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Jun 2001 23:52:26 +0200

gcc-2.95 (2.95.4.ds3-0.010628) unstable; urgency=low

  * Updated sources to CVS 20010628 (last change 20010619).
  * Updated gpc (20010623).
  * fix libstdc++-dev's prerm (closes #102191).
  * debian/patches/libstdc++-sstream.dpatch: New patch (closes #92524, #100571).
  * debian/control.in: Add Uploaders: field.
  * debian/patches/arm-tune.dpatch, debian/patches/arm-output-int.dpatch: New
    patches.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Jun 2001 21:47:39 +0200

gcc-2.95 (2.95.4.ds2-0.010604) unstable; urgency=low

  * Call autoconf in gcc-mips.linux.dpatch; depend on autoconf2.13
  * Update patch for s390 arch (Gerhard Tonn <GerhardTonn@swol.de>).
  * Add mips reg_zero patch (Ryan Murray <rmurray@cyberhqz.com>).

 -- Matthias Klose <doko@debian.org>  Mon, 28 May 2001 19:10:29 +0200

gcc-2.95 (2.95.4.ds2-0.010522) unstable; urgency=low

  * Updated to CVS 20010522 (gcc-2_95-branch).
  * Updated gpc (20010516).
  * Don't install drivers for pascal variants.
  * Add libncurses5-dev to build dependencies (needed for libg++ check).
    Closes #97769.

 -- Matthias Klose <doko@debian.org>  Sat, 26 May 2001 22:55:13 +0200

gcc-2.95 (2.95.4.ds1-0.010506) unstable; urgency=low

  * Fix build problem. That was a bug in the rules files, exposed
    by dpkg-1.9's changed dpkg-buildpackage script. Thanks to Roderich Schupp.
    Fixes #96436.

 -- Matthias Klose <doko@debian.org>  Sun,  6 May 2001 14:42:03 +0200

gcc-2.95 (2.95.4.ds1-0.010502) unstable; urgency=low

  * Update fsirl patch to 010501 (fixes #95955, #95969, #95978).
    Fixes building of glibc.
  * Apparently we do have a problem with dpkg-dev-1.9, which does
    create control files with missing 'Architecture:' lines. Fixes
    are welcome.
  * debian/gpc-2.95.prerm: Fix typo (#95358).
  * Disable fsirl patch for alpha again.
  * Update date in gcc version string to be able to identify the
    exact Debian version.
  * Now that gcj-3.0 is in the archives, disable building gcj-2.95.

 -- Matthias Klose <doko@debian.org>  Fri,  4 May 2001 19:49:05 +0200

gcc-2.95 (2.95.4.ds1-0.010424) unstable; urgency=high

  * Apply updated ppc-fsirl patch (function.c removed) for all archs again.
    urgency=high for powerpc.
  * Remove patches included in ppc-fsirl patch: ppc-descriptions, ppc-ice.
  * Correct build dependency (hurd-i386) (#94038).
  * debian/rules2: Get free memory correctly on hurd (#94127).
  * close #68452: ash is available on sparc and doesn't have any
    special build rules for sparc.
  * close #79882: bind-8.2.3 compiles fine on i386.
  * Alpha related bug fixed in 2.95.3 (closes #94137).
  * Fix typo in docs (-fstdc -> -stdc). Closes #94894, #94899.
  * Not a bug: #93481 (see report).

 -- Matthias Klose <doko@debian.org>  Tue, 24 Apr 2001 23:10:11 +0200

gcc-2.95 (2.95.4.ds1-0.010407) unstable; urgency=low

  * New upstream version (gcc-2_95-branch).
  * Fixes #93278 (at least as long the ppc-fsirl-patch isn't applied).
  * New gpc snapshot (20010409).
  * Remove patches applied upstream: arm-section, gcc-i386-pic-kludge,
    libstdc++-bastring.
  * Reenable snapshot warning.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Apr 2001 00:34:17 +0200

gcc-2.95 (2.95.3.ds5-11) unstable; urgency=medium

  * Upload with urgency=medium. 2.95.3-9 didn't go to testing before
    2.95.3-10 was uploaded.
  * debian/rules.{defs,patch}: Build fixes for mipsel.
  * debian/rules2: Build fixes for cross compiler (David Schleef).
  * debian/patches/ppc-fsirl-updates.dpatch: Updated to 20010403 version.
  * Remove snapshot warning (fixes #92771).
  * debian/README.cross: New file submitted by David Schleef <ds@schleef.org>

   -- Matthias Klose <doko@debian.org>  Thu, 12 Apr 2001 00:34:17 +0200

gcc-2.95 (2.95.3.ds5-10) unstable; urgency=low

  * Fix binary-arch target (#90390).
  * Suggest correct task-devel-common package (fixes #92022).
  * debian/README: Add hint to upstream ChangeLogs in the source packages
    (addresses #90355).
  * Change priority of libg++ packages to extra (deprecated).

 -- Matthias Klose <doko@debian.org>  Thu, 29 Mar 2001 22:08:45 +0200

gcc-2.95 (2.95.3.ds5-9) unstable; urgency=high

  * Really fix #89976 (fixes #90370).
  * Disable ppc-fsirl-updates patch for alpha.
  * New patch: gcc-i386-pic-kludge (apply ASAP, Ben Collins). Fixes #91512.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Mar 2001 23:40:16 +0100

gcc-2.95 (2.95.3.ds5-8) unstable; urgency=low

  * Final 2.95.3 release.
  * debian/patches/libstdc++-bastring2.dpatch: Change var name not to
    yield shadow warnings (#84158).
  * debian/gpc-2.95.preinst: Remove doc directory (#89976).
  * Tighten binutils dependency (2.11.90.0.1-1).
  * debian/patches/gcc-version.dpatch: Add 'Debian' to version string.
  * debian/patches/{gcc-weaksym,gcc-mips-mad}.dpatch: New.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Mar 2001 16:59:41 +0100

gcc-2.95 (2.95.3.ds4-7) testing unstable; urgency=low

  * Fix cross compiler builds (patch by Steve Langasek <vorlon@netexpress.net>)
  * Remove second part of gcc-m68k-pic patch, also in ppc-fsirl-updates
    (reported by Michael Fedrowitz). Fixes #88237.
  * Bug 86356 fixed by ppc-fsirl-updates.
  * Remove alpha-mi-thunk patch; request from Christopher C. Chimelis.

 -- Matthias Klose <doko@debian.org>  Sat,  3 Mar 2001 16:23:34 +0100

gcc-2.95 (2.95.3.ds4-6) testing unstable; urgency=low

  * Updated to gcc-2.95.3, fourth test release.
  * debian/patches/arm-section.dpatch: New patch submitted by Phil Blundell.
  * debian/patches/ppc-fsirl-updates.dpatch: New patch; removed
    ppc-andrew-dwarf-eh patch. Applied for all architecture. Submitted
    by Dan Jacobowitz. (#85570, #86929).
  * debian/rules.conf: Fix libc-dev for Hurd (#87131).
  * debian/patches/cross-libc-version.dpatch: Fix by Steve Langasek (#87516).

 -- Matthias Klose <doko@debian.org>  Sat, 24 Feb 2001 22:43:02 +0100

gcc-2.95 (2.95.3.ds3-5) testing unstable; urgency=low

  * For each binary compiler package xxx-2.95 add a dependency on
    xxx (>= 1:2.95.3-2). Fixes #85135, #85141, #85154, #85222, #85539,
    #85570, #85578.
  * Fix typos. Add note about gcc-2.97 to README (fixes #85180).

 -- Matthias Klose <doko@debian.org>  Mon, 12 Feb 2001 01:19:59 +0100

gcc-2.95 (2.95.3.ds3-4) unstable; urgency=low

  * Updated to gcc-2.95.3, third test release.
  * Updated s390 patch from Chu-yeon Park <kokids@debian.org> (#82712).
  * debian/patches/arm-exception: Patch submitted by Phil Blundell.
  * Updated debian/README.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Jan 2001 21:12:41 +0100

gcc-2.95 (2.95.3.ds2-3) unstable; urgency=low

  * Updated to gcc-2.95.3-prerelease.
  * debian/NEWS.gcc: Updated.
  * Revert back to gpc-20001218; bootstrap problems on some architectures.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Jan 2001 20:48:57 +0100

gcc-2.95 (2.95.3.ds1-2.010107) unstable; urgency=low

  * First upload this year ;-)
  * Updated to gcc-2.95.3 test release 1, removed integrated Debian patches.
  * Updated to gpc 20010107.
  * Changed source package name. It's not allowed anymore to overwrite
    source packages with different content. Introducing a 'debian source
    element' (.ds<num>), which is stripped again from the version number
    for the binary packages.
  * Applied patches for mips architecture (#81014).
    Disable java and pascal for mips.
  * Fixed in 2.95.3: #70710.
  * debian/patches/gcc-default-arch.dpatch: Set i386 as "default".

 -- Matthias Klose <doko@debian.org>  Mon,  8 Jan 2001 00:16:46 +0100

gcc-2.95 (2.95.3-2.001231) unstable; urgency=low

  * Last upload this year ;-)
  * NOTE: This is still not a final release, but taken from the
    CVS gcc-2_95-branch (20001229). It has been regression tested on
    alpha, arm, i386, powerpc and sucessfully built for m68k and sparc.
  * Reenable gcj for sparc.

 -- Matthias Klose <doko@debian.org>  Sun, 31 Dec 2000 10:50:46 +0000

gcc-2.95 (2.95.3-2.001229) unstable; urgency=low

  * Dec 29 (and final) patch kit.
  * Remove alternatives and unversioned binaries and man pages.
  * debian/patches/arm-*: Updated patches by Philip Blundell <philb@gnu.org>.
  * TODO: README.Debian needs an update ...

 -- Matthias Klose <doko@debian.org>  Fri, 29 Dec 2000 19:04:26 +0000

gcc-2.95 (2.95.3-2.001224) experimental; urgency=low

  * New upstream version 2.95.3 experimental (CVS 20001222).
  * debian/control.in: Versioned package names, removal of snapshot logic.
    Remove fake gcc-docs package.
  * Reserve -1 release numbers for woody.
  * Updated to gpc-20001218.
  * Disable chill for m68k.

 -- Matthias Klose <doko@debian.org>  Sun, 24 Dec 2000 10:18:57 +0000

gcc (2.95.2-19) unstable; urgency=low

  * Added testsuite-20001207 from current snapshots. We'll need results
    for 2.95.2 to make sure there are no regressions against that release.
    Dear build daemons and porters to other architectures, please send an
    email to gcc-testresults@gcc.gnu.org.
    You can do this by running "debian/rules mail-summary".
  * Updated to gpc-20001206.
  * Added S/390 patch prepared by Chu-yeon Park <kokids@debian.org> (#78983).
  * debian/patches/libio.dpatch: Fix iostream doc (fixes #77647).
  * debian/patches/gcc-doc.dpatch: Update URL (fixes #77542).
  * debian/patches/gcc-reload1.dpatch Patch from the gcc-bug list which
    fixes a problem in "long long" on i[345]86 (i686 was not affected).

 -- Matthias Klose <doko@debian.org>  Sat,  9 Dec 2000 12:30:32 +0100

gcc (2.95.2-18) unstable; urgency=low

  * debian/control.in: Fix syntax errors (fixes #76146, #76458).
    Disable gpc on the hurd by request (#75686).
  * debian/patches/arm-various.dpatch: Patches from Philip Blundell
    for ARM arch (fixes #75801).
  * debian/patches/gcc-alpha-mi-thunk.dpatch: Patches from Chris Chimelis
    for alpha arch.
  * debian/patches/g77-docs.dpatch: Adjust g77 docs (fixes #72594).
  * Update gpc to gpc-20001118.
  * Reenable gpc for alpha.
  * debian/README.C++: Merge debian/README.libstdc++ and C++ FAQ information
    provided by Matt Zimmermann.
  * Build gcj only on architectures, where libgcj-2.95.1 can be built as well.
    Probably needs some adjustments ...
  * Conditionalize for chill, fortran, java, objc and chill.

  * NOT APPLIED:
    debian/patches/libstdc++-bastring.dpatch: Apply fix (fixes #75759).

 -- Matthias Klose <doko@debian.org>  Sun, 19 Nov 2000 10:40:41 +0100

gcc (2.95.2-17) unstable; urgency=low

  * Disable gpc for alpha.
  * Include gpc-cpp in gpc package (fixes #74492).
  * Don't build gcc-docs compatibility package anymore.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2000 06:16:53 +0200

gcc (2.95.2-16) unstable; urgency=low

  * Applied the emdebian/cross compiler patch and documentation
    (Frank Smith <smith@amirix.com>).
  * Applied patch for avr target (Hakan Ardo <hakan@debian.org>).
  * debian/control.in: Add awk to Build-Depends.
    Tighten libc6-dev dependency for libstdc++-dev (fixes #73031,
    #72531, #72534).
  * Disable libobjc_gc for m68k again (fixes #74380).
  * debian/patches/arm-namespace.dpatch: Apply patch from Philip
    Blundell <pb@futuretv.com> to fix name space pollution on arm
    (fixes #70937).
  * Fix more warnings in STL headers (fixes #69352, #71943).

 -- Matthias Klose <doko@debian.org>  Mon,  9 Oct 2000 21:51:41 +0200

gcc (2.95.2-15) unstable; urgency=low

  * debian/control.in: Add libgc5-dev to build depends (fixes #67015).
  * debian/rules.def: Build GC enabled ObjC runtime for sparc.
  * Bug #58741 fixed (in some version since 2.95.2-5).
  * debian/control.in: Recommend librx1g-dev, libgmp2-dev, libncurses5-dev
    (unit dependencies).
  * Patches from Marcus Brinkmann for the hurd (fixes #67763):
    - debian/rules.defs: Disable objc_gc on hurd-i386.
      Disable libg++ on GNU systems.
    - debian/rules2: Set correct names of libstdc++/libg++
      libraries on GNU systems.
      Write out correct shlibs and shlibs.local file content.
    - Keep _G_config.h for the Hurd.
  * Apply patch for ObjC linker warnings.
  * Don't apply gcj backport patch for sparc.
  * Apply libio compatability patch
  * debian/glibcver.sh: generate appropriate version for glibc
  * debian/rules.conf: for everything after glibc 2.1, we always append
    "-glibc$(ver)" to the C++ libs for linux.
  * Back down gpc to -13 version (-14 wont compile on anything but i386
    and m68k becuase of gpc).
  * Remove extraneous and obsolete sparc64 patches/files from debian/*

 -- Ben Collins <bcollins@debian.org>  Thu, 21 Sep 2000 08:08:35 -0400

gcc (2.95.2-14) unstable; urgency=low

  * Update gpc patch.

 -- Matthias Klose <doko@debian.org>  Wed,  5 Jul 2000 20:51:16 +0200

gcc (2.95.2-13) frozen unstable; urgency=low

  * Update debian/README: document how to compile 2.0.xx kernels; don't
    register gcc272 as an alternative for gcc (closes #62419).
    Clarify compiler setup (closes #65548).
  * debian/control.in: Make libstdc++-dev depend on current version of g++.
  * Undo CVS update from release -8 (problems on alpha, #55263).

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jun 2000 23:06:48 +0200

gcc (2.95.2-12e4) frozen unstable; urgency=low

  * Added C++ packages

 -- Frank Smith <smith@amirix.com>  Thu,  6 Jul 2000 12:00:00 -0400

gcc (2.95.2-12e3) frozen unstable; urgency=low

  * Regen to fix ARM tools.

 -- Frank Smith <smith@amirix.com>  Fri, 29 Jun 2000 12:00:00 -0400

gcc (2.95.2-12e2) frozen unstable; urgency=low

  * Mostly testing out the process of bumping up the rev number.
    Let's try appending an 'e' and the Embedded Debian subversion.

 -- Frank Smith <smith@amirix.com>  Wed, 21 Jun 2000 12:00:00 -0400

gcc (2.95.2-12.1) frozen unstable; urgency=low

  * First working version of cross gcc/cpp packages

 -- Frank Smith <smith@amirix.com>  Wed, 14 Jun 2000 12:00:00 -0400

gcc (2.95.2-12) frozen unstable; urgency=low

  * debian/gpc.postinst: Correct typo introduced with -11 (fixes #64193).
  * debian/patches/gcc-rs600.dpatch: ppc codegen fix (fixes #63933).

 -- Matthias Klose <doko@debian.org>  Sun, 21 May 2000 15:56:05 +0200

gcc (2.95.2-11) frozen unstable; urgency=medium

  * Upload to unstable again (fixes critical #63784).
  * Fix doc-base files (fixes important #63810).
  * gpc wasn't built in -10 (fixes #63977).
  * Make /usr/bin/pc an alternative (fixes #63888).
  * Add SYSCALLS.c.X to gcc package.

 -- Matthias Klose <doko@debian.org>  Sun, 14 May 2000 22:17:44 +0200

gcc (2.95.2-10) frozen; urgency=low

  * debian/control.in: make gcc conflict on any version of egcc
    (slink to potato upgrade problem, fixes grave #62084).
  * Build protoize programs, separate out in new package (fixes #59436,
    #62911).
  * Create dummy gcc-docs package for smooth update from slink (fixes #62537).
  * Add doc-base support for all -doc packages (fixes #63380).

 -- Matthias Klose <doko@debian.org>  Mon,  1 May 2000 22:24:28 +0200

gcc (2.95.2-9) frozen unstable; urgency=low

  * Disable the sparc-bi-arch.dpatch (patch from Ben Collins, built
    for sparc as NMU 8.1) (fixes critical #61529 and #61511).
    "Seems that when you compile gcc 2.95.x for sparc64-linux and compile
     sparc32 programs, the code is not the same as sparc-linux compile for
     sparc32 (this is a bug, and is fixed in gcc 2.96 CVS)."
  * debian/patches/gcj-vs-iconv.dpatch: Option '--encoding' for
    encoding of input files. Patch from Tom Tromey  <tromey@cygnus.com>
    backported to 2.95.2 (fixes #42895).
    Compile a Latin-1 encoded file with `gcj --encoding=Latin1 ...'.
  * debian/control.in: gcc, g++ and gobjc suggest their corresponding
    task packages (fixes #59623).

 -- Matthias Klose <doko@debian.org>  Sat,  8 Apr 2000 20:19:15 +0200

gcc (2.95.2-8) frozen unstable; urgency=low

  * Post-2.95.2 CVS updates of the gcc-2_95-branch until 20000313.
  * debian/rules2: configure with --enable-java-gc=no for sparc. Fixes
    gcj side of #60535.
  * debian/rules.patch: Disable gcc-emit-rtl patch for all archs but
    alpha. Disable g++-is-tree patch ("just for 2.95.1").
  * debian/README: Update for gcc-2.95.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Mar 2000 00:03:16 +0200

gcc (2.95.2-7) frozen unstable; urgency=low

  * debian/patches/gcc-empty-struct-init.dpatch; Apply patch from
    http://gcc.gnu.org/ml/gcc-patches/2000-02/msg00637.html. Fixes
    compilation of 2.3.4x kernels.
  * debian/patches/gcc-emit-rtl.dpatch: Apply patch from David Huggins-Daines
    <dhuggins@linuxcare.com> (backport from 2.96 CVS to fix #55263).
  * debian/patches/gcc-pointer-arith.dpatch: Apply patch from Jim Kingdon
    <kingdon@redhat.com> (backport from 2.96 CVS to fix #54951).

 -- Matthias Klose <doko@debian.org>  Thu,  2 Mar 2000 23:16:43 +0100

gcc (2.95.2-6) frozen unstable; urgency=low

  * Post-2.95.2 CVS updates of the gcc-2_95-branch until 20000220.
  * Remove dangling symlink probably left over from libstdc++2.9
    package (fixes #53661).
  * debian/patches/gcc-alpha-complex-float.dpatch: Fixed patch by
    David Huggins-Daines (fixes #58486).
  * debian/g++.{postinst,prerm}: Remove outdated g++FAQ registration
    (fixes #58253).
  * debian/control.in: gcc-doc replaces gcc-docs (fixes #58108).
  * debian/rules2: Include some fixed headers (asm, bits, linux, ...).
  * debian/patches/{gcc-alpha-ev5-fix,libstdc++-valarray}.dpatch: Remove.
    Applied upstream.
  * debian/patches/libstdc++-bastring.dpatch: Add patch from
    sicard@bigruth.solsoft.fr (fixes #56715).

 -- Matthias Klose <doko@debian.org>  Sun, 20 Feb 2000 15:08:13 +0100

gcc (2.95.2-5) frozen unstable; urgency=low

  * Post-2.95.2 CVS updates of the gcc-2_95-branch until 20000116.
  * Add more build dependencies (fixes #53204).
  * debian/patches/gcc-alpha-complex-float.dpatch: Patch from
    Joel Klecker <jk@espy.org> to compile glibc correctly on alpha.
    "Should fix the g77 problems too."
  * debian/patches/{libio,libstdc++-wall2}.dpatch. Remove patches
    applied upstream.

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jan 2000 19:16:54 +0100

gcc (2.95.2-4) unstable; urgency=low

  * debian/patches/libio.dpatch: Patch from Martin v. Loewis.
    (fixes: #35628).
  * debian/patches/libstdc++-deque.dpatch: Patch from Martin v. Loewis.
    (fixes: #52689).
  * debian/control.in: Updated Build-Depends, removed outdated README.build.
    Fixes #51246.
  * Tighten dependencies to cpp (>= 2.95.2-4) (closes: #50294).
  * debian/rules.patch: Really do not apply patches/gcj-backport.dpatch.
    Fixes #51636.
  * Apply updated sparc-bi-arch.dpatch from Ben Collins.
  * libstdc++: Define wstring type, if __ENABLE_WSTRING is defined. Request
    from the author of the War FTP Daemon for Linux ("Jarle Aase"
    <jgaa@jgaa.com>).
  * debain/g++.preinst: Remove dangling sysmlinks (fixes #52359).

 -- Matthias Klose <doko@debian.org>  Sun, 19 Dec 1999 21:53:48 +0100

gcc (2.95.2-3) unstable; urgency=low

  * debian/rules2: Don't install $(gcc_lib_dir)/include/asm; these are
    headers fixed for glibc-1.x (closes: #49434).
  * debian/patches/cpp-dos-newlines.dpatch: Keep CR's without
    following LF (closes: #49186).
  * Bug #37358 (internal compiler errors when building vdk_0.6.0-5)
    fixed in gcc-2.95.? (closes: #37358).
  * Apply patch gcc-alpha-ev5-fix from Richard Henderson <rth@cygnus.com>
    (should fix #48527 and #46963).
  * debian/README.Bugs: Documented non bug #44554.
  * Applied patch from Alexandre Oliva to fix gpc boostrap on alpha.
    Reenabled gpc on all architectures.
  * Post-2.95.2 CVS updates of the gcc-2_95-branch until 19991108.
  * Explicitely generate postinst/prerm chunks for usr/doc transition.
    debhelper currently doesn't handle generation for packages with
    symlinked directories.
  * debian/patches/libstdc++-wall3.dpatch: Fix warnings in stl_deque.h
    and stl_rope.h (closes: #46444, #46720).
  * debian/patches/gcj-backport.dpatch: Add file, don't apply (yet).

 -- Matthias Klose <doko@debian.org>  Wed, 10 Nov 1999 18:58:45 +0100

gcc (2.95.2-2) unstable; urgency=low

  * New gpc-19991030 snapshot.
  * Post-2.95.2 CVS updates of the gcc-2_95-branch until 19991103.
  * Reintegrated sparc patches (bcollins@debian.org), which were lost
    in 2.95.2-1.
  * debian/rules2: Only install $(gcc_lib_dir)/include/asm, when existing.
  * debian/patches/gpc-2.95.{dpatch,diff}: updated patch to drop
    initialization in stor-layout.c.
  * debian/NEWS.gcc: Updated for gcc-2.95.2.
  * debian/bugs/bug-...: Removed testcases for fixed bugs.
  * debian/patches/...dpatch: Removed patches applied upstream.
  * debian/{rules2,g++.postinst,g++.prerm}: Handle c++ alternative.
  * debian/changelog: Merged gcc272, egcs and snapshot changelogs.

 -- Matthias Klose <doko@debian.org>  Tue,  2 Nov 1999 23:09:23 +0200

gcc (2.95.2-1.1) unstable; urgency=low

  * Most of the powerpc patches have been applied upstream.  Remove all
    but ppc-ice, ppc-andrew-dwarf-eh, and ppc-descriptions.
  * mulilib-install.dpatch was definitely a bad idea.  Fix it properly
    by using install -D.
  * Also, don't make directories before installing any more.  Simplifies
    rules a (tiny) bit.
  * Do not build with LDFLAGS=-s.  Everything gets stripped out anyway by
    dh_strip -a -X_debug; so leave the binaries in the build tree with
    debugging symbols for simplified debugging of the packages.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 30 Oct 1999 12:40:12 -0400

gcc (2.95.2-1) unstable; urgency=low

  * gcc-2.95.2 release (taken from the CVS archive). -fstrict-aliasing
    is disabled upstream.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Oct 1999 10:26:19 +0200

gcc (2.95.2-0pre4) unstable; urgency=low

  * Updated to cvs updates of the gcc-2_95-branch until 19991021.
  * Updated gpc to gpc-19991018 snapshot (closes: #33037, #47453).
    Enable gpc for all architectures ...
  * Document gcc exit codes (closes: #43863).
  * According to the bug submitter (Sergey V Kovalyov <sqk0316@scires.nyu.edu>)
    the original source of these CERN librarties is outdated now. The latest
    version of cernlibs compiles and works fine with slink (closes #31546).
  * According to the bug submitter (Gergely Madarasz <gorgo@sztaki.hu>),
    the problem triggered on i386 cannot be reproduced with the current
    jade and php3 versions anymore (closes: #35215).
  * Replace corrupted m68k-pic.dpatch (from Roman Hodek and Andreas Schwab
    <Roman.Hodek@informatik.uni-erlangen.de> <schwab@suse.de> and apply to
    all architectures (closes: #48011).
  * According to the bug submitter (Herbert Xu <herbert@gondor.apana.org.au>)
    this bug "probably has been fixed". Setting it to severity "fixed"
    (fixes: #39616), will close it later ...
  * debian/README.Bugs: Document throwing C++ exceptions "through" C
    libraries (closes: #22769).

 -- Matthias Klose <doko@debian.org>  Fri, 22 Oct 1999 20:33:00 +0200

gcc (2.95.2-0pre3) unstable; urgency=low

  * Updated to cvs updates of the gcc-2_95-branch until 19991019.
  * Apply NMU patches (closes: #46217).
  * debian/control.in: Fix egcs64 conflict-dependency for sparc
    architecture (closes: #47088).
  * debian/rules2: dbg-packages share doc dir with lib packages
    (closes #45067).
  * debian/patches/gcj-debian-policy.dpatch: Patch from Stephane
    Bortzmeyer to conform to Debian policy (closes: #44463).
  * debian/bugs/bug-*: Added test cases for new bug reports.
  * debian/patches/libstdc++-bastring.dpatch: Patch by Richard Kettlewell
    (closes #46550).
  * debian/rules.patch: Apply libstdc++-wall2 patch (closes #46609).
  * debian/README: Fix typo (closes: #45253).
  * debian/control.in: Remove primary/secondary distinction;
    dbg-packages don't provide their normal counterparts (closes #45206).
  * debian/rules.patch: gcc-combine patch applied upstream.
  * debian/rules2: Only use mail if with_check is set (off by default).
  * debian/rules.conf: Tighten binutils dependency to 2.9.5.0.12.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Oct 1999 20:33:00 +0200

gcc (2.95.2-0pre2.0.2) unstable; urgency=HIGH (for m68k)

  * Binary-only NMU for m68k as quick fix for another bug; the patch
    is in CVS already, too.
  * Applied another patch by Andreas Schwab to fix %a5 restauration in
    some cases.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 30 Sep 1999 16:09:15 +0200

gcc (2.95.2-0pre2.0.1) unstable; urgency=HIGH (for m68k)

  * Binary-only NMU for m68k as quick fix for serious bugs; the patches
    are already checked into gcc CVS and should be in the next official
    version, too.
  * Applied two patches by Andreas Schwab to fix -fpic and loop optimization.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 27 Sep 1999 15:32:49 +0200

gcc (2.95.2-0pre2) unstable; urgency=low

  * Fixed in 2.95.2 (closes: #43478).
  * Previous version had Pascal examples missing in doc directory.

 -- Matthias Klose <doko@debian.org>  Wed, 8 Sep 1999 22:18:17 +0200

gcc (2.95.2-0pre1) unstable; urgency=low

  * Updated to cvs updates of the gcc-2_95-branch until 19990828.
  * Apply work around memory corruption (just for 2.95.1)  by
    Daniel Jacobowitz <dan@debian.org>.
  * debian/patches/libstdc++-wall2.dpatch: Patch from Franck Sicard
    <sicard@miniruth.solsoft.fr> to fix some warnings (closes: #44670).
  * debian/patches/libstdc++-valarray.dpatch: Patch from Hideaki Fujitani
    <fjtani@flab.fujitsu.co.jp> to fix a bug in valarray_array.h.
  * Applied NMU from Jim Pick minus the jump.c and fold-const.c patches
    already in the gcc-2_95-branch (closes: #44690).
  * Conform to debian-java policy (closes: #44463).
  * Move docs to /usr/share/doc (closes: #44782).
  * Remove debian/patches/gcc-align.dpatch applied upstream.
  * debian/*.postinst: Call install-info only, when configuring.
  * debian/*.{postinst,prerm}: Add #DEBHELPER# comments to handle
    /usr/doc -> /usr/share/doc transition.

 -- Matthias Klose <doko@debian.org>  Wed,  8 Sep 1999 22:18:17 +0200

gcc (2.95.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * ARM platform no longer needs library-prefix patch.
  * Updated patches from Philip Blundell.

 -- Jim Pick <jim@jimpick.com>  Wed,  8 Sep 1999 20:14:07 -0700

gcc (2.95.1-2) unstable; urgency=low

  * debian/gcc.{postinst,prerm}: gcc provides an alternative for
    sparc64-linux-gcc.
  * Applied patch from Ben Collins to enable bi-architecture (32/64)
    support for sparc.
  * Rebuild debian/control and debian/rules.parameters after unpacking.
  * debian/rules2: binary-indep. Conditionalize on with_pascal.

 -- Matthias Klose <doko@debian.org>  Sat,  4 Sep 1999 13:47:30 +0200

gcc (2.95.1-1) unstable; urgency=low

  * Updated to release gcc-2.95.1 and cvs updates of the gcc-2_95-branch
    until 19990828.
  * debian/README.gcc: Updated NEWS file to include 2.95 and 2.95.1 news.
  * debian/README.java: New file.
  * debian/rules.defs: Disabled gpc for alpha, arm. Disabled ObjC-GC
    for alpha.
  * debian/rules [clean]: Remove debian/rules.parameters.
  * debian/rules2 [binary-arch]: Call dh_shlibdeps with LD_LIBRARY_PATH set
    to installation dir of libstdc++. Why isn't this the default?
  * debian/control.in: *-dev packages do not longer conflict with
    libg++272-dev package.
  * Apply http://egcs.cygnus.com/ml/gcc-patches/1999-08/msg00599.html.
  * Only define BAD_THROW_ALLOC, when using exceptions (fixes #43462).
  * For ObjC (when configured with GC) recommend libgc4-dev, not libgc4.
  * New version of 68060 build patch.
  * debian/rules.conf: For m68k, depend on binutils version 2.9.1.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Aug 1999 18:16:31 +0200

gcc (2.95.1-0pre2) unstable; urgency=medium

  * gpc is back again (fixes grave #43022).
  * debian/patches/gpc-updates.dpatch: Patches sent to upstream authors.
  * Work around the fatal dependtry assertion failure bug in dpkg (hint
    from "Antti-Juhani Kaijanaho" <ajk@debian.org>, fixes important #43072).

 -- Matthias Klose <doko@debian.org>  Mon, 16 Aug 1999 19:34:14 +0200

gcc (2.95.1-0pre1) unstable; urgency=low

  * Updated to cvs 19990815 gcc-2_95-branch; included install docs and
    FAQ from 2.95 release; upload source package as well.
  * Source package contains tarballs only (gcc, libg++, installdocs).
  * debian/rules: Splitted into debian/rules{,.unpack,.patch,.conf,2}.
  * debian/gcc.postinst: s/any key/RETURN; warn only when upgrading from
    pre 2.95 version; reference /usr/doc, not /usr/share/doc.
  * Checked syntax for attributes of functions; checked for #35068;
    checked for bad gmon.out files (at least with libc6 2.1.2-0pre5 and
    binutils 2.9.1.0.25-2 the problem doesn't show up anymore).
  * debian/patches/cpp-macro-doc.dpatch: Document macro varargs in cpp.texi.
  * gcc is primary compiler for all platforms but m68k. Setting
    severity of #22513 to fixed.
  * debian/patches/gcc-default-arch.dpatch: New patch to enable generation
    of i386 instruction as default (fixes #42743).
  * debian/rules: Removed outdated gcc NEWS file (fixes #42742).
  * debian/patches/libstdc++-out-of-mem.dpatch: Throw exception instead
    of aborting when out of memory (fixes #42622).
  * debian/patches/cpp-dos-newlines.dpatch: Handle ibackslashes after
    DOS newlines (fixes #29240).
  * Fixed in gcc-2.95.1: #43001.
  * Bugs closed in this version:
    Closes: #11525, #12253, #22513, #29240, #35068, #36182, #42584, #42585,
    #42602, #42622, #42742 #42743, #43001, #43002.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Aug 1999 10:31:50 +0200

gcc (2.95-3) unstable; urgency=high

  * Provide /lib/cpp again (fixes important bug #42524).
  * Updated to cvs 19990805 gcc-2_95-branch.
  * Build with the default scheduler.
  * Apply install-multilib patch from Dan Jacobowitz.
  * Apply revised cpp-A- patch from Dan Jacobowitz.

 -- Matthias Klose <doko@debian.org>  Fri,  6 Aug 1999 07:25:19 +0200

gcc (2.95-2) unstable; urgency=low

  * Remove /lib/cpp. This driver uses files from /usr/lib/gcc-lib anyway.
  * The following bugs are fixed (compared to egcs-1.1.2).
    Closes: #4429, #20889, #21122, #26369, #28417, #28261, #31416, #35261,
    #35900, #35906, #38246, #38872, #39098, #39526, #40659, #40991, #41117,
    #41290, #41302, #41313.
  * The following by Joel Klecker:
    - Adopt dpkg-architecture variables.
    - Go back to SHELL = bash -e or it breaks where /bin/sh is not bash.
    - Disabled the testsuite, it is not included in the gcc 2.95 release.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Jul 1999 18:00:42 +0200

gcc (2.95-1) unstable; urgency=low

  * Update for official gcc-2.95 release.
  * Built without gpc.
  * debian/rules: Remove g++FAQ from rules, which is outdated.
    For ix86, build for i386, not i486.
  * Apply patch from Jim Pick for building multilib package on arm.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Jul 1999 16:38:21 +0200

gcc (2.95-0pre10) unstable; urgency=low

  * Use ../builddir-gcc-$(VER) by default instead of ./builddir; upstream
    strongly advises configuring outside of the source tree, and it makes
    some things much easier.
  * Add patch to prevent @local branches to weak symbols on powerpc (fixes
    apt compilation).
  * Add patch to make cpp -A- work as expected.
  * Renamed debian/patches/ppc-library-prefix.dpatch to library-prefix.dpatch;
    apply on all architectures.
  * debian/control.in: Remove snapshot dependencies.
  * debian/*.postinst: Reflect use of /usr/share/{info,man}.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 22 Jul 1999 19:27:12 -0400

gcc (2.95-0pre9) unstable; urgency=low

  * The following bugs are fixed (compared to egcs-1.1.2): #4429, #20889,
    #21122, #26369, #28417, #28261, #35261, #38246, #38872, #39526, #40659,
    #40991, #41117, #41290.
  * Updated to CVS gcc-19990718 snapshot.
  * debian/control.in: Removed references to egcs in descriptions.
    Changed gcj's Recommends libgcj-dev to Depends.
  * debian/rules: Apply ppc-library-prefix for alpha as well.
  * debian/patches/arm-config.dpatch: Updated patch sent by Jim Pick.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Jul 1999 12:21:07 +0200

gcc (2.95-0pre8) unstable; urgency=low

  * Updated CVS.
  * debian/copyright: s%doc/copyright%share/common-licenses%
  * debian/README.Bugs: s/egcs.cygnus.com/gcc.gnu.org/ s/egcs-bugs/gcc-bugs/
  * debian/patches/reporting.dpatch: Remake diff for current sources.
  * debian/libstdc++-dev.postinst: It's /usr/share/info/iostream.info.
  * debian/rules: Current dejagnu snapshot reports a framework version
    of 1.3.1.

 -- Joel Klecker <espy@debian.org>  Sun, 18 Jul 1999 02:09:57 -0700

gcc-snapshot (19990714-0pre6) experimental; urgency=low

  * Updated to CVS gcc-19990714 snapshot.
  * Applied ARM patch (#40515).
  * Converted DOS style linefeeds in debian/patches/ppc-* files.
  * debian/rules: Reflect change in gcc/version.c; use sh -e as shell:
    for some obscure reason, bash -e doesn't work.
  * Reflect version change for libstdc++ (2.10). Remove libg++-name
    patch; libg++ now has version 2.8.1.3. Removed libc version from
    the package name.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jul 1999 18:43:57 +0200

gcc-snapshot (19990625-0pre5.1) experimental; urgency=low

  * Non-maintainer upload.
  * Added ARM specific patch.

 -- Jim Pick <jim@jimpick.com>  Tue, 29 Jun 1999 22:36:08 -0700

gcc-snapshot (19990625-0pre5) experimental; urgency=low

  * Updated to CVS gcc-19990625 snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Jun 1999 16:11:53 +0200

gcc-snapshot (19990609-0pre4.1) experimental; urgency=low

  * Added and re-added a few last PPC patches.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 12 Jun 1999 16:48:01 -0500

gcc-snapshot (19990609-0pre4) experimental; urgency=low

  * Updated to CVS egcs-19990611 snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Jun 1999 10:20:09 +0200

gcc-snapshot (19990609-0pre3) experimental; urgency=low

  * CVS gcc-19990609 snapshot.
  * New gpc-19990607 snapshot.

 -- Matthias Klose <doko@debian.org>  Wed,  9 Jun 1999 19:40:44 +0200

gcc-snapshot (19990524-0pre1) experimental; urgency=low

  * egcs-19990524 snapshot.
  * First snapshot of the gcc-2_95-branch. egcs-1.2 is renamed to gcc-2.95,
    which is now the "official" successor to gcc-2.8.1. The full version
    name is: gcc-2.95 19990521 (prerelease).
  * debian/control.in: Changed maintainers to `Debian GCC maintainers'.
  * Moved all version numbers to epoch 1.
  * debian/rules: Major changes. The support for secondary compilers
    was already removed for the egcs-1.2 snapshots. Many fixes by
    Joel Klecker <espy@debian.org>.
    - Send mail to Debian maintainers for successful builds.
    - Fix VER and VERNO sed expressions.
    - Replace remaining GNUARCH occurrences.
  * New gpc snapshot (but don't build).
  * debian/patches/valarray.dpatch: Backport from libstdc++-v3.
  * debian/gcc-doc.*: Info is now gcc.info* (Joel Klecker <espy@debian.org>).
  * Use cpp driver provided by the package.
  * New script c89 (fixes #28261).

 -- Matthias Klose <doko@debian.org>  Sat, 22 May 1999 16:10:36 +0200

egcs (1.1.2-2) unstable; urgency=low

  * Integrate NMU's for arm and sparc (fixes #37582, #36857).
  * Apply patch for the Hurd (fixes #37753).
  * Describe open bugs in TODO.Debian. Please have a look if you can help.
  * Update README / math functions section (fixes #35906).
  * Done by J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>:
    - At Richard Braakman's request, made -dbg packages for libstdc++
      and libg++.
    - Provide egcc(1) (fixes lintian error).

 -- Matthias Klose <doko@debian.org>  Sun, 16 May 1999 14:30:56 +0200

egcs-snapshot (19990502-1) experimental; urgency=low

  * New snapshot.

 -- Matthias Klose <doko@debian.org>  Thu,  6 May 1999 11:51:02 +0200

egcs-snapshot (19990418-2) experimental; urgency=low

  * Merged Rays changes to build debug packages.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Apr 1999 16:54:56 +0200

egcs-snapshot (19990418-1) experimental; urgency=low

  * New snapshot.
  * Disable cpplib.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Apr 1999 11:32:19 +0200

egcs (1.1.2-1.2) unstable; urgency=low

  * NMU for arm
  * Added arm-optimizer.dpatch with optimizer workaround for ARM

 -- Jim Pick <jim@jimpick.com>  Mon, 19 Apr 1999 06:17:13 -0700

egcs (1.1.2-1.1) unstable; urgency=low

  * NMU for sparc
  * Included dpatch to modify the references to gcc/crtstuff.c so that
    __register_frame_info is not a weak reference. This allows potato to
    remain binary compatible with slink, while still retaining compatibility
    with other sparc/egcs1.1.2 distributions. Diff in .dpatch format has
    been sent to the maintainer with a note it may not be needed for 1.1.3.

 -- Ben Collins <bcollins@debian.org>  Tue, 27 Apr 1999 10:15:03 -0600

egcs (1.1.2-1) unstable; urgency=low

  * Final egcs-1.1.2 release built for potato as primary compiler
    for all architectures except m68k.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu,  8 Apr 1999 13:14:29 +0 200

egcs-snapshot (19990321-1) experimental; urgency=low

  * New snapshot.
  * Disable gpc.
  * debian/rules: Simplified (no secondary compiler, bumped all versions
    to same epoch, libapi patch is included upstream).
  * Separated out cpp documentation to cpp-doc package.
  * Fixed in this version: #28417.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Mar 1999 02:11:18 +0100

egcs (1.1.2-0slink2) stable; urgency=low

  * Applied H.J.Lu's egcs-19990315.linux patch.
  * Install faq.html and egcs-1.1.2 announcment.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Mar 1999 01:14:54 +0100

egcs (1.1.2-0slink1) stable; urgency=low

  * Final egcs-1.1.2 release; compiled with glibc-2.0 for slink on i386.
  * debian/control.in: gcc provides egcc, when FIRST_PRIMARY defined.
  * Fixes #30767, #32278, #34252, #34352.
  * Don't build the libstdc++.so.2.9 library on architectures, which have
    switched to glibc-2.1.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Mar 1999 12:55:59 +0100

egcs (1.1.1.63-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Incorporate patch from Joel Klecker to fix snapshot packages
    by moving/removing the application of libapi.
  * Disable the new libstdc++-dev-config and the postinst message in
    glibc 2.1 versions.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 12 Mar 1999 14:16:02 -0500

egcs (1.1.1.63-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Compile with glibc 2.1 release version.
  * New upstream version egcs-1.1.2 pre3.
  * Miscellaneous rules updates (see changelog.snapshot).
  * New set of powerpc-related patches from Franz Sirl,
    <fsirl@kernel.crashing.org>.
  * Disable libgcc.dpatch (new solution implemented upstream).  Remove it.
  * Also pass $target to config.if.
  * Enable Dwarf2 EH for powerpc.  Bump the C++ binary version.  No
    loss in -backwards- compatibility as far as I can tell, so add a
    compatibility symlink, and add to shlibs file.
  * Add --no-backup-if-mismatch to the debian/patches/*.dpatch files,
    to prevent bogus .orig's in diffs.
  * Merged with (unreleased) 1.1.1.62-1 and 1.1.1.63-{1,2} packages from
    Matthias Klose <doko@debian.org>.
  * Stop adding a backwards compatibility link for egcs-nof on powerpc.
    To my knowledge, nothing uses it.  Do add the libstdc++ API change
    link, though.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 8 Mar 1999 14:24:01 -0500

egcs (1.1.1.63-2) stable; urgency=low

  * Provide a libstdc++ with a shared object name, which is compatible
    to other distributions. Documented the change in README.Debian,
    the libstdc++-2.9.postinst and the libstdc++-dev-config script.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Mar 1999 00:36:20 +0100

egcs (1.1.1.63-1.1) unstable; urgency=low

  * Non-Maintainer release.
  * Build against glibc 2.1.
  * Make egcs the primary compiler on i386.
  * Also confilct with egcc (<< FIRST_PRIMARY)
    if FIRST_PRIMARY is defined.
    (this tells dpkg that gcc completely obsoletes egcc)
  * Remove hjl-12 patch again, HJL says it should not be
    necessary with egcs 1.1.2.
    (as per forwarded reply from Christopher Chimelis)
  * Apply libapi patch in clean target before regenerating debian/control
    and remove the patch afterward. Otherwise, the libstdc++ and libg++
    package names are generated wrong on a glibc 2.1 system.

 -- Joel Klecker <espy@debian.org>  Tue,  9 Mar 1999 15:31:02 -0800

egcs (1.1.1.63-1) unstable; urgency=low

  * New upstream version egcs-1.1.1-pre3.
  * Applied improved libstdc++ warning patch from Rob Browning.

 -- Matthias Klose <doko@debian.org>  Tue,  9 Mar 1999 16:14:07 +0100

egcs (1.1.1.62-1) unstable; urgency=low

  * New upstream version egcs-1.1.1-pre2.
  * New upstream version libg++-2.8.1.3.
  * Readded ARM support
  * Readded hjl-12 per request from Christopher C Chimelis
    <chris@classnet.med.miami.edu>

 -- Matthias Klose <doko@debian.org>  Fri, 26 Feb 1999 09:54:01 +0100

egcs-snapshot (19990224-0.1) experimental; urgency=low

  * New snapshot.
  * Add the ability to disable CPPLIB by setting CPPLIB=no in
    the environment.
  * Disable gpc for powerpc; I spent a long time getting it to
    make correctly, and then it goes and ICEs.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 24 Feb 1999 23:34:12 -0500

egcs (1.1.1.61-1) unstable; urgency=low

  * New upstream version egcs-1.1.1-pre1.
  * debian/control.in: Applied patch from bug report #32987.
  * Split up H.J.Lu's hjl-19990115-linux patch into several small
    chunks: libapi, arm-mips, libgcc, hjl-other. The changelog.Linux
    aren't included in the separate chunks. Please refer to the
    unmodified hjl-19990115-linux patch file in the egcs source pkg.
  * Apply warning patch to fix the annoying spew you get if you try to
    use ropes or deques with -Wall (which makes -Wall mostly useless for
    spotting errors in your own code). Fixes #32996.
  * debian/rules: Unapply patches in the exact reverse order they were
    applied.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Feb 1999 22:06:21 +0100

egcs (1.1.1-5) frozen unstable; urgency=medium

  * Move libgcc.map file to g++ package, where gcc is the secondary
    compiler (fixes #32329, #32605, #32631).
  * Prepare to rename libstdc++2.9 package for glibc-2.1 (fixes #32148).
  * Apply NMU patch for arm architecure (fixes #32367).
  * Don't apply hjl-12 patch for alpha architectures (requested by the
    alpha developers, Christopher C Chimelis <chris@classnet.med.miami.edu>).
  * Call makeinfo with --no-validate to fix obscure build failure on alpha.
  * Build gpc info files in doc subdirectory.
  * Remove c++filt diversion (C++ name demangling patch is now in binutils,
    fixes #30820 and #32502).

 -- Matthias Klose <doko@debian.org>  Sun, 31 Jan 1999 23:19:35 +0100

egcs (1.1.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pascal doesn't build for ARM.

 -- Jim Pick <jim@jimpick.com>  Sun, 24 Jan 1999 16:13:34 -0800

egcs (1.1.1-4) frozen unstable; urgency=high

  * Don't strip compiler libraries libgcc.a libobjc.a libg2c.a libgpc.a
  * Move Pascal examples to the right place (fixes #32149, part 1).
  * Add dependencies for switching from secondary to primary compiler,
    if FIRST_PRIMARY is defined (fixes #32149, part 2).

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 1999 16:51:30 +0100

egcs (1.1.1-3) frozen unstable; urgency=low

  * Updated with the H.J.Lu's hjl-19990115-linux patch (fixes the
    __register_frame_info problems, mips and arm port included).
  * Update gpc to 19990118 (beta release candidate).
  * Strip static libraries (fixes #31247 and #31248).
  * Changed maintainer address.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jan 1999 16:34:28 +0100

egcs (1.1.1-2) frozen unstable; urgency=low

  * Moved egcs-docs, g77-doc and gpc-doc packages to doc section.
  * Downgraded Recommends: egcs-docs to Suggests: egcs-docs dependencies
    (for archs, where egcs is the primary compiler).
  * Add 'Suggests: stl-manual' dependency to libstdc++2.9-dev.
  * Applied one more alpha patch:
    ftp://ftp.yggdrasil.com/private/hjl/egcs/1.1.1/egcs-1.1.1.diff.12.gz
  * Applied PPro optimization patch.
  * Apply emit-rtl-nan patch.
  * Upgraded to libg++-2.8.1.2a-19981218.tar.gz.
  * Upgraded to gpc-19981218.
  * Make symlinks for gobjc, libstdc++2.9-dev and libg++2.8.2 doc directories.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Dec 1998 18:04:53 +0200

egcs-snapshot (19981211-1) experimental; urgency=low

  * New snapshot.
  * Adapted gpc to egcs-2.92.x (BOOT_CFLAGS must include -g).
  * New libg++-2.8.1.2a-19981209.tar.gz.
  * debian/rules: new target mail-summary.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Dec 1998 18:14:53 +0200

egcs (1.1.1-1) frozen unstable; urgency=high

  * Final egcs-1.1.1 release.
  * The last version depended on a versioned libc6 again.
  * Add lost dependency for libg++ on libstdc++.
  * Added debian-libstdc++.sh script to generate a libstdc++ on a Linux
    system, which doesn't use the libapi patch.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Wed,  2 Dec 1998 12:06:15 +0200

egcs (1.1.0.91.59-2) frozen unstable; urgency=high

  * Fixes bugs from libc6 2.0.7u-6 upload without dependency line
    Conflicts: libstdc++-2.9 (<< 2.91.59): #30019, #30066, #30078.
  * debian/copyright: Updated URLs.
  * gcc --help now mentions /usr/doc/debian/bug-reporting.txt.
  * Install README.Debian and include information about patches applied.
  * Depend on unversioned libc6 on i386, such that libstdc++2.9 can be used
    on a hamm system.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Fri, 27 Nov 1998 18:32:02 +0200

egcs (1.1.0.91.59-1) frozen unstable; urgency=low

  * This is egcs-1.1.1 prerelease #3, compiled with libc6 2.0.7u-6.
  * Added dependency for libstdc++2.9-dev on g++ (fixes #29631).
  * Package g77 provides f77 (fixes #29817).
  * Already fixed in earlier egcs-1.1 releases: #2493, #25271, #10620.
  * Bugs reported for gcc-2.7.x and fixed in the egcs version of gcc:
    #2493, #4430, #4954, #5367, #6047, #10612, #12375, #20606, #24788, #26100.
  * Upgraded libg++ to libg++-2.8.1.2a-19981114.
  * Upgraded gpc to gpc-19981124.
  * Close #25869: egcs and splay maintainers are unable to reproduce this
    bug with the current Debian packages. Bug submitter doesn't respond.
  * Close #25407: egcs maintainer cannot reproduce this bug with the current
    Debian compiler. Bug submitter doesn't respond.
  * Use debhelper 1.2.7 for building.
  * Replace the libstdc++ and libg++ compatibility links with fake libraries.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Wed, 25 Nov 1998 12:11:42 +0200

egcs (1.1.0.91.58-5) frozen unstable; urgency=low

  * Applied patch to build on the m68060.
  * Added c++filt and c++filt.1 to the g++ package.
  * Updated gpc to gpc-981105; fixes some regressions compared to egcs-1.1.
  * Separated out g77 and gpc doumentation to new packages g77-doc and gpc-doc.
  * Closed bugs (#22158).
  * Close #20248; on platforms where gas and gld are the default versions,
    it makes no difference to configure with or without enable-ld.
  * Close #24349. The bugs are in the amulet source.
    See http://www.cs.cmu.edu/afs/cs/project/amulet/www/FAQ.html#GCC28x
  * Rename gcc.info* files to egcs.info* (fixes #24088).
  * Documented known bugs (and workarounds) in BUGS.Debian.
  * Fixed demangling of C++ names (fixes #28787).
  * Applied patch form aspell to libstdc++/stl/stl_rope.h.
  * Updated from cvs 16 Nov 1998.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 17 Nov 1998 09:41:24 +0200

egcs-snapshot (19981115-2) experimental; urgency=low

  * New snapshot. Disabled gpc.
  * New packages g77-doc and gpc-doc.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Nov 1998 12:48:09 +0200

egcs (1.1.0.91.58-3) frozen unstable; urgency=low

  * Previous version installed in potato, not slink.
  * Updated from cvs 3 Nov 1998.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 3 Nov 1998 18:34:44 +0200

egcs (1.1.0.91.58-2) unstable; urgency=low

  * [debian/rules]: added targets to apply and unapply patches.
  * [debian/README.patches]: New file.
  * Moved patches dir to debian/patches. debian/rules has to select
    the patches to apply.
  * Manual pages for genclass and gcov (fixes #5995, #20950, #22196).
  * Apply egcs-1.1-reload patch needed for powerpc architecture.
  * Fixed bugs (#17768, #20252, #25508, #27788).
  * Reapplied alpha patch (#20875).
  * Fixes first part of #22513, extended README.Debian (combining C & C++).
  * Already fixed in earlier egcs-1.1 releases: #17963, #20252, #20524,
    #20640, #22450, #24244, #24288, #28520.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Fri, 30 Oct 1998 13:41:45 +0200

egcs (1.1.0.91.58-1) experimental; urgency=low

  * New upstream version. That's the egcs-1.1.1 prerelease plus patches from
    the cvs archive upto 29 Oct 1998.
  * Merged files from the egcs and snapshot packages.
  * Updated libg++ to libg++-2.8.1.2 (although the Debian package name is still
    2.8.2).
  * Moved patches dir to patches-1.1.
  * Dan Jacobowitz:
    * This is a snapshot from the egcs_1_1_branch, with
      libapi, reload, builtin-apply, and egcs patches from
      the debian/patches/ dir applied, along with the egcs-gpc-patches
      and gcc/p/diffs/gcc-egcs-2.91.55.diff.
    * Conditionalize gcj and chill (since they aren't in this branch).
    * Fake snapshots drop the -snap-main.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Thu, 29 Oct 1998 15:15:19 +0200

egcs-snapshot (1.1-19981019-5.1) experimental; urgency=low

  * This is a snapshot from the egcs_1_1_branch, with
    libapi, reload, builtin-apply, and egcs patches from
    the debian/patches/ dir applied, along with the egcs-gpc-patches
    and gcc/p/diffs/gcc-egcs-2.91.55.diff.
  * Conditionalize gcj and chill (since they aren't in this
    branch).
  * Fake snapshots drop the -snap-main.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 19 Oct 1998 22:19:23 -0400

egcs (1.1b-5) unstable; urgency=low

  * [debian/control.in] Fixed typo in dependencies (#28076, #28087, #28092).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 18 Oct 1998 22:56:51 +0200

egcs (1.1b-4) unstable; urgency=low

  * Strengthened g++ dependency on libstdc++_LIB_SO_-dev from
    `Recommends' to `Depends'.
  * Updated README.Debian for egcs-1.1.
  * Updated TODO.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Thu, 15 Oct 1998 12:38:47 +0200

egcs-snapshot (19981005-0.1) experimental; urgency=low

  * Make libstdc++2.9-snap-main and libg++-snap-main provide
    their mainstream equivalents and put those equivalents into
    their shlibs file.
  * Package gcj, the GNU Compiler for Java(TM).

  * New upstream version of egcs (The -regcs_latest_snapshot branch).
  * Build without libg++ entirely.
  * Leave out gpc for now - the internals are sufficiently different
    that it does not trivially compile.
  * Include an experimental reload patch for powerpc - this is,
    in the words of its author, not release quality, but it allows
    powerpc linuxthreads to function.
  * On architectures where we are the primary compiler, let snapshots
    build with --prefix=/usr and conflict with the stable versions.
  * Package chill, a front end for the language Chill.
  * Other applied patches from debian/patches/: egcs-patches and
    builtin-apply-patch.
  * Use reload.c revision 1.43 to avoid a nasty bug.

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  7 Oct 1998 00:27:42 -0400

egcs (1.1b-3.1) unstable; urgency=low

  * NMU to fix the egcc -> gcc link once and for all

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Tue, 22 Sep 1998 16:11:19 -0500

egcs (1.1b-3) unstable; urgency=low

  * Oops. The egcc -> gcc link on archs where gcc is egcc was broken.
    Thanks to Chris Chimelis for pointing this out.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 21 Sep 1998 20:51:35 +0200

egcs (1.1b-2) unstable; urgency=low

  * New upstream spellfix release (Debian revision is 2 as the internal
    version numbers didn't change).
  * Added egcc -> gcc symlink on architectures where egcc is the primary C
    compiler. Thus, maintainers of packages that require egcc, can now
    simply use "egcc" without conditionals.
  * Porters: we hope/plan to make egcs's gcc the default C compiler on all
    platforms once the 2.2.x kernels are available. Please test this version
    thoroughly, and give us a GO / NO GO for your architecture.
  * Some symbols cpp used to predefine were removed upstream in order to clean
    up the cpp namespace, but imake requires them for determining the proper
    settings for LinuxMachineDefines (see /usr/X11R6/lib/X11/{Imake,linux}.cf),
    thus we put them back. Thanks to Paul Slootman for reporting his imake
    problems on Alpha.
    * [gcc/config/alpha/linux.h] Added -D__alpha to CPP_PREDEFINES .
      Thanks to Chris Chimelis for the alpha-only 1.1a-1.1 NMU which fixed
      this already.
    * [gcc/config/i386/linux.h] Added -D__i386__ to CPP_PREDEFINES .
    * [gcc/config/sparc/linux.h] Has -Dsparc in CPP_PREDEFINES .
    * [gcc/config/sparc/linux64.h] Has -Dsparc in CPP_PREDEFINES .
    * [gcc/config/m68k/linux.h] Has -Dmc68000 in CPP_PREDEFINES .
    * [gcc/config/rs6000/linux.h] Has -Dpowerpc in CPP_PREDEFINES .
    * [gcc/config/arm/linux.h] Has -Darm in CPP_PREDEFINES .
    * [gcc/config/i386/gnu.h] Has -Di386 in CPP_PREDEFINES .
  * Small fixes and updates in README.
  * Changes affecting the source package only:
    * [gcc/Makefile.in, gcc/cp/Make-lang.in, gcc/p/Make-lang.in]
      Daniel Jacobowitz: Ugly hacks of various kinds to make cplib2.txt get
      properly regenerated with multilib.
    * [debian/TODO] Created.
    * [INSTALL/index.html] Fixed broken link.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 20 Sep 1998 14:05:15 +0200

egcs (1.1a-1) unstable; urgency=low

  * New upstream release.
  * Added README.libstdc++ .
  * Updated Standards-Version.
  * Matthias:
    * Downgraded gobjc dependency on egcs-docs from Recommends: to Suggests: .
    * [libg++/Makefile.in] Patched not to rely on a `-f' flag of `ln'.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed,  2 Sep 1998 19:57:43 +0200

egcs (1.1-1) unstable; urgency=low

  * egcs-1.1 prerelease (from the last Debian package only the version file
    changed).
  * "Final" gpc Beta 2.1 gpc-19980830.
  * Included libg++ and gpc in the .orig tarball. so that diffs are getting
    smaller.
  * debian/control.in: Changed maintainer address to galenh-egcs@debian.org.
  * debian/copyright: Updated URLs.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 31 Aug 1998 12:43:13 +0200

egcs (1.0.99.56-0.1) unstable; urgency=low

  * New upstream snapshot 19980830 from CVS (called egcs-1.1 19980830).
  * New libg++ snapshot 980828.
  * Put all patches patches subdirectory; see patches/README in the source.
  * debian/control.in: readded for libg++2.8.2-dev:
    Replaces: libstdc++2.8-dev (<= 2.90.29-0.5)
  * Renamed libg++2.9 package to libg++2.8.2.
  * gcc/p/gpc-decl.c: Fix from Peter@Gerwinski.de; fixes optimization errors.
  * patches/gpc-patch2: Fix from Peter@Gerwinski.de; fixes alpha errors.
  * debian/rules: New configuration flag for building with and without
    libstdc++api patch; untested without ...

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sun, 30 Aug 1998 12:04:22 +0200

egcs (1.0.99-0.6) unstable; urgency=low

  * PowerPC fixes.
  * On powerpc, generate the -msoft-float libs and package them
    as egcs-nof.
  * Fix signed char error in gpc.
  * Create a libg++.so.2.9 compatibility symlink.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 25 Aug 1998 11:44:09 -0400

egcs (1.0.99-0.5) unstable; urgency=low

  * New upstream snapshot 19980824.
  * New gpc snapshot gpc-980822; reenabled gpc for alpha.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 25 Aug 1998 01:21:08 +0200

egcs (1.0.99-0.4) unstable; urgency=low

  * New upstream snapshot 19980819. Should build glibc 2.0.9x on PPC.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Wed, 19 Aug 1998 14:18:07 +0200

egcs (1.0.99-0.3) unstable; urgency=low

  * New upstream snapshot 19980816.
  * debian/rules: build correct debian/control and debian/*.shlibs
  * Enabled Haifa scheduler for ix86.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 17 Aug 1998 16:29:35 +0200

egcs (1.0.99-0.2) unstable; urgency=low

  * New upstream snapshot: egcs-19980812, minor changes only.
  * Fixes for building on `primary' targets.
  * Disabled gpc on `alpha' architecture.
  * Uses debhelper 1.1.6
  * debian/control.in: Replace older snapshot versions in favor of newer
    normal versions.
  * debian/rules: Fixes building of binary-arch target only.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Thu, 13 Aug 1998 11:59:41 +0200

egcs (1.0.99-0.1) unstable; urgency=low

  * New upstream version: pre egcs-1.1 version.
  * Many changes ... for details see debian/changelog.snapshot in the
    source package.
  * New packages libstdc++2.9 and libstdc++2.9-dev.
  * New libg++ snapshot 980731: new packages libg++2.9 and libg++2.9-dev.
  * New gpc snapshot gpc-980729: new package gpc.
  * Uses debhelper 1.1

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 10 Aug 1998 13:00:27 +0200

egcs-snapshot (19980803-4) experimental; urgency=low

  * rebuilt debian/control.

 -- Matthias Klose <doko@debian.org>  Wed,  5 Aug 1998 08:51:47 +0200

egcs-snapshot (19980803-3) experimental; urgency=low

  * debian/rules: fix installation locations of NEWS, header and
    `undocumented' files.
  * man pages aren't compressed for the snapshot package.

 -- Matthias Klose <doko@debian.org>  Tue,  4 Aug 1998 17:34:31 +0200

egcs-snapshot (19980803-2) experimental; urgency=low

  * debian/rules: Uses debhelper. Old in debian/rules.old.
    renamed postinst, prerm files for use with debhelper.
  * debian/{libg++2.9,libstdc++2.9}/postinst: call ldconfig only,
    when called for configure.
  * egcs-docs is architecture independent package.
  * new libg++ snapshot 980731.
  * installed libstdc++ api patch (still buggy).

 -- Matthias Klose <doko@debian.org>  Mon,  3 Aug 1998 13:20:59 +0200

egcs-snapshot (19980729-1) experimental; urgency=low

  * New snapshot version 19980729 from CVS archive.
  * New gpc snapshot gpc-980729.
  * Let gcc/configure decide about using the Haifa scheduler.
  * Remove -DDEBIAN. That was needed for the security improvements with
    regard to the /tmp problem. egcs-1.1 chooses another approach.
  * Save test-protocol and extract gpc errors to gpc-test-summary.
  * Tighten binutils dependency to 2.9.1.
  * debian/rules: new build-info target
  * debian/{control.in,rules}: _SO_ and BINUTILSV substitution.
  * debian/rules: add dependency for debian/control.
  * debian/rules: remove bin/c++filt
  * TODO: next version will use debhelper; the unorganized moving of
    files becomes unmanageable ...
  * TODO: g++ headers in stdc++ package? check!

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 1998 12:10:20 +0200

egcs-snapshot (19980721-1) experimental; urgency=low

  * Unreleased. Infinite loops in executables made by gpc.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 1998 18:07:20 +0200

egcs-snapshot (19980715-1) experimental; urgency=low

  * New snapshot version from CVS archive.
  * New gpc snapshot gpc-980715.
  * New libg++ version libg++-2.8.2-980708. Changed versioning
    schema for library. The major versions of libc, libstdc++ and the
    g++ interface are coded in the library name. Use this new schema,
    but provide a symlink to our previous schema, since the library
    seems to be binary compatible.
  * [debian/rules]: Fixed bug in build target, when bootstrap returns
    with an error

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jul 1998 10:55:05 +0200

egcs-snapshot (19980701-1) experimental; urgency=low

  * New snapshot version from CVS archive.
    Two check programs in libg++ had to be manually killed to finish the
    testsuite (tBag and tSet).
  * New gpc snapshot gpc-980629.
  * Incorporated debian/rules changes from egcs-1.0.3a-0.5 (but don't remove
    gcc/cp/parse.c gcc/c-parse.c gcc/c-parse.y gcc/objc/objc-parse.c
    gcc/objc/objc-parse.y, since these files are part of the release).
  * Disable the -DMKTEMP_EACH_FILE -DHAVE_MKSTEMP -DDEBIAN flags for the
    snapshot. egcs-1.1 will have another solution.
  * Don't bootstrap the snapshot with -fno-force-mem. Internal compiler
    error :-(
  * libf2c.a and f2c.h have changed names to libg2c.a and g2c.h and
    have moved again into the gcc-lib dir. They are installed under
    libg2c.a and g2c.h. Is it necessary to provide links f2c -> g2c ?
  * debian/rules: reflect change of build dir of libraries.

 -- Matthias Klose <doko@debian.org>  Wed,  2 Jul 1998 13:15:28 +0200

egcs-snapshot (19980628-0.1) experimental; urgency=low

  * New upstream snapshot version.
  * Non-maintainer upload; Matthias appears to be absent currently.
  * Updated shlibs.
  * Merged changes from regular egcs:
    * [debian/control] Tightened dependency on binutils to 2.8.1.0.23 or
      newer, as according to INSTALL/SPECIFIC PowerPC (and possibly Sparc)
      need this.
    * [debian/rules] Clean up some generated files outside builddir,
      so the .diff.gz becomes smaller.
    * [debian/rules] Partial sync/update with the one for the regular egcs
      version.
  * [debian/rules] Make gcc/p/configure executable.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed,  1 Jul 1998 07:12:15 +0200

egcs (1.0.3a-0.6) frozen unstable; urgency=low

  * Some libg++ development files were in libstdc++2.8-dev rather than
    libg++2.8-dev. Fixed this and dealt with upgrading from the earlier
    versions (fixes #23908; this bug is not marked release-critical, but
    is annoying and can be quite confusing for users. Therefore, I think
    this fix should go in 2.0).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 30 Jun 1998 11:10:14 +0200

egcs (1.0.3a-0.5) frozen unstable; urgency=low

  * Fixed location of .hP files (Fixes #23448).
  * [debian/rules] simplified extraction of the files for libg++2.8-dev.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 17 Jun 1998 09:33:41 +0200

egcs (1.0.3a-0.4) frozen unstable; urgency=low

  * [gcc/gcc.c] There is one call to choose_temp_base for determining the
    tempdir to be used only; #ifdef HAVE_MKSTEMP delete the tempfile created
    as a side effect. (fixes #23123 for egcs).
  * [gcc/collect2.c] There's still a vulnerability here; I don't see how
    I can fix it without leaving behind tempfiles though.
  * [debian/control] Tightened dependency on binutils to 2.8.1.0.23 or
    newer, as according to INSTALL/SPECIFIC PowerPC (and possibly Sparc)
    need this.
  * [debian/rules] Clean up some generated files outside builddir, so the
    .diff.gz becomes smaller.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 13 Jun 1998 09:06:52 +0200

egcs-snapshot (19980608-1) experimental; urgency=low

  * New snapshot version.

 -- Matthias Klose <doko@debian.org>  Tue,  9 Jun 1998 14:07:44 +0200

egcs (1.0.3a-0.3) frozen unstable; urgency=high (security fixes)

  * [gcc/toplev.c] set flag_force_mem to 1 at optimisation level 3 or higher.
    This works around #17768 which is considered release-critical.
  * Changes by Matthias:
    * [debian/README] Documentation of the compiler situation for Objective C.
    * [debian/rules, debian/control.*] Generate control file from a master
      file.
    * [debian/rules] Updates for Pascal and Fortran parts; brings it in sync
      with the one for the egcs snapshots.
  * Use the recommended settings LDFLAGS=-s CFLAGS= BOOT_CFLAGS='-O2'.
  * Really compile -DMKTEMP_EACH_FILE -DHAVE_MKSTEMP (really fixes #19453
    for egcs).
  * [gcc/gcc.c] A couple of temp files weren't marked for deletion.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 31 May 1998 22:56:22 +0200

egcs (1.0.3a-0.2) frozen unstable; urgency=high (security fixes)

  * Security improvements with regard to the /tmp problem
    (gcc opens predictably named files in TMPDIR which can be abused via
    symlinks)  (Fixes #19453 for egcs).
    * Compile -DMKTEMP_EACH_FILE to ensure the %u name is generated randomly
      every time; affects gcc/gcc.c .
    * [gcc/choose-temp.c, libiberty/choose-temp.c]: use mktemp(3) if compiled
      -DUSE_MKSTEMP .
    * Security improvements: don't use the result of choose_temp_base in a
      predictable fashion.
      [gcc/gcc.c]:
      * @c, @objective-c: use random name rather then tempbasename.i for
        intermediate preprocessor output (%g.i -> %d%u).
      * @c, @objective-c: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @c, @objective-c, @cpp-output, @assembler-with-cpp: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @c, @objective-c, @assembler-with-cpp: use previous random name
        (cc1|cpp output) rather then tempbasename.s for intermediate assembler
        input (%g.s -> %U)
      [gcc/f/lang-specs.h]:
      * @f77-cpp-input: use random name rather then tempbasename.i for
        intermediate cpp output (%g.i -> %d%u).
      * @f77-cpp-input: use previous random name (cpp output) rather than
        tempbasename.i for f771 input (%g.i -> %U).
      * @f77-cpp-input: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @f77-cpp-input: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @ratfor: use random name rather then tempbasename.i for
        intermediate ratfor output (%g.f -> %d%u).
      * @ratfor: use previous random name (ratfor output) rather than
        tempbasename.i for f771 input (%g.f -> %U).
      * @ratfor: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @ratfor: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @ratfor: use previous random name
        (ratfor output) rather then tempbasename.s for intermediate assembler
        input (%g.s -> %U).
      * @f77: use random name rather then tempbasename.s for
        intermediate ratfor output (%g.f -> %d%u).
      * @ratfor: use previous random name (ratfor output) rather than
        tempbasename.i for f771 input (%g.f -> %U).
      * @ratfor: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @ratfor: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @ratfor: use previous random name
        (ratfor output) rather then tempbasename.s for intermediate assembler
        input (%g.s -> %U).
      * @f77: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @f77: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @ratfor: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %U).
  * Run the testsuite (this requires the dejagnu package in experimental;
    unfortunately, it is difficult to distinguish this version from the one
    in frozen).
    if possible, and log the results in warn_summary and bootstrap-summary.
  * [gcc/choose-temp.c, libiberty/choose-temp.c]: s|returh|return| in
    comment.
  * Added notes on the Debian compiler setup [debian/README] to the
    development packages.
  * Matthias:
    * [libg++/etc/lf/Makefile.in] Replaced "-ltermcap" by "-lncurses".
    * [debian/rules] Updated so it can be used for both egcs releases and
      snapshots easily; added support for the GNU Pascal Compiler gpc.
    * [contrib/test_summary, contrib/warn_summary] Added from CVS.
    * Run compiler checks and include results in /usr/doc/<package>.
    * Updates to the README.
    * [debian/rules] Use assignments to speed up startup.
  * [debian/rules] Show the important variables at the start of the build
    process.
  * [debian/control.secondary] Added a dependency of gobjc on egcc on
    architectures where egcs provides the secondary compiler, as
    /usr/bin/egcc is the compiler driver for gobjc. (Fixes #22829).
  * [debian/control.*] Bumped Standards-Version; used shorter version
    numbers in the dependency relationships (esthetic difference only);
    fixed typo.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 26 May 1998 21:47:41 +0200

egcs-snapshot (19980525-1) experimental; urgency=low

  * New snapshot version.

 -- Matthias Klose <doko@debian.org>  Tue, 26 May 1998 18:04:06 +0200

egcs-snapshot (19980517-1) experimental; urgency=low

  * "Initial" release of the egcs-snapshot package; many debian/* files
    derived from the egcs-1.0.3a-0.1 package (maintained by Galen Hazelwood
    <galenh@micron.net>, NMU's by J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>)
  * The egcs-snapshot packages can coexist with the packages of the
    egcs release. Package names have a '-ss' appended.
  * All packages are installed in a separate tree (/usr/lib/egcs-ss following
    the FHSS).
  * Made all snapshot packages extra, all snapshot packages conflict
    with correspondent egcs packages, which are newer than the snapshot.
  * Included libg++-2.8.1-980505.
  * Included GNU Pascal (gpc-980511).
  * Haifa scheduler enabled for all snapshot packages.
  * Run compiler checks and include results in /usr/doc/<package>.
  * Further information in /usr/doc/<package>/README.snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 20 May 1998 11:14:06 +0200

egcs (1.0.3a-0.1) frozen unstable; urgency=low

  * New upstream release egcs-2.90.29 980515 (egcs-1.0.3 release)
    (we were using 1.0.3-prerelease).  This includes the Haifa patches
    we had since 1.0.3-0.2 and the gcc/objc/thr-posix.c patch we had
    since 1.0.3-0.1; the differences with 1.0.3-prerelease + patches
    we had is negligable.
  * iostream info documentation was in the wrong package (libg++2.8-dev).
    Now it's in libstdc++2.8-dev. (Thanks to Jens Rosenboom for bringing
    this to my attention). As 1.0.3-0.3 didn't make it out of Incoming,
    I'm not adding "Replaces:" for this; folks who had 1.0.3-0.3 installed
    already know enough to use --force-overwrite.
  * [gcc/objc/objc-act.c] Applied patch Matthias Klose supplied me with that
    demangles Objective C method names in gcc error messages.
  * Explicitly disable Haifa scheduling on Alpha, to make it easier to use
    this package's diff with egcs snapshots, which may turn on Haifa
    scheduling even though it is still unstable. (Requested by Chris Chimelis)
  * Don't run "configure" again if builddir already exists (makes it faster
    to restart builds in case one is hacking internals). Requested by
    Johnnie Ingram.
  * [gcc/gbl-ctors.h] Don't use extern declaration for atexit on glibc 2.1
    and higher (the prototype has probably changed; having the declaration
    broke Sparc compiles).
  * [debian/rules] Determine all version number automatically (from the
    version string in gcc/version.c).
  * [debian/copyright] Updated FTP locations; added text about libg++ (fixes
    #22465).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 16 May 1998 17:41:44 +0200

egcs (1.0.3-0.3) frozen unstable; urgency=low

  * Made an "egcs-doc" package containing documentation for egcs (e)gcc,
    g++, gobjc, so that administrators can choose whether to have this
    documenation or the documentation that comes with the GNU gcc package.
    Dependency on this is Recommends: on architectures where egcs provides
    the primary C compiler; Suggests: on the others (where GNU gcc is still
    the primary C compiler).
  * Use the g++ FAQ from gcc/cp rather than libg++, as that version is more
    up to date.
  * Added iostream info documentation to libstdc++2.8-dev.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 13 May 1998 08:46:10 +0200

egcs (1.0.3-0.2) frozen unstable; urgency=low

  * Added libg++ that works with egcs, found at
    ftp://ftp.yggdrasil.com/private/hjl/libg++-2.8.1-980505.tar.gz
    (fixes #20587 (Severity: important)).
  * The "libg++" and "libg++-dev" virtual packages now refer to the GNU
    extensions.
  * Added the g++ FAQ that comes with libg++ to the g++ package.
  * libg++/Makefile.in: added $(srcdir) to rule for g++FAQ.info so that it
    builds OK in builddir.
  * Added -D__i386__ to the cpp predefines on intel.
  * Patches Matthias supplied me with:
    * Further 1.0.3 prerelease patches from CVS.
      This includes patches to the Haifa scheduler. Alpha porters, please
      check if this makes the Haifa scheduler OK again.
    * Objective C patches from CVS.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri,  8 May 1998 14:43:20 +0200

egcs (1.0.3-0.1) frozen unstable; urgency=low (high for maintainers that use objc)

  * bug fixes only in new upstream version
  * Applied patches from egcs CVS archive (egcs_1_03_prerelease)
    (see gcc/ChangeLog in the egcs source package).
  * libstdc++2.8-dev no longer Provides: libg++-dev (fixes #21153).
  * libstdc++2.8-dev now Conflicts: libg++27-dev (bo),
    libg++272-dev (hamm) [regular packages] rather than
    Conflicts: libg++-dev [virtual package] to prepare the way for "libg++"
    to be used as a virtual package for a new libg++ package (i.e. an up to
    date one, which not longer contains libstdc++, but only the GNU
    extensions) that is compatible with the egcs g++ packages. Such a package
    isn't available yet. Joel Klecker tried building libg++2.8.1.1a within
    egcs's libstdc++ setup, but it appears to need true gcc 2.8.1 .
  * Filed Severity: important bugs against wxxt1-dev (#21707) because these
    still depend on libg++-dev, which is removed in this version.
    A fixed libsidplay1-dev has already been uploaded.
  * libstdc++2.8 is now Section: base and Priority: required (as dselect is
    linked against it).
  * Disabled Haifa scheduling on Alpha again; Chris Chimelis reported
    that this caused problems on some machines.
  * [gcc/extend.texi]
    ftp://maya.idiap.ch/pub/tmb/usenix88-lexic.ps.Z is no longer available;
    use http://master.debian.org/~karlheg/Usenix88-lexic.pdf .
    (fixes the egcs part of #20002).
  * Updated Standards-Version.
  * Changed chmod in debian/rules at Johnie Ingram's request.
  * Rather than hardwire the Debian part of the packages' version number,
    extract it from debian/changelog .
  * Use gcc/objc/thr-posix.c from 980418 egcs snapshot to make objc work.
    (Fixes #21192).
  * Applied workaround for the GNUstep packages on sparc systems.
    See README.sparc (on sparc packages only) in the doc directory.
    This affects the other compilers as well.
  * Already done in 1.0.2-0.7: the gobjc package now provides a virtual
    package objc-compiler.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 28 Apr 1998 12:05:28 +0200
 -- Matthias Klose <doko@debian.org>  Tue, 28 Apr 1998 14:13:23 +0200

egcs (1.0.2-0.7) frozen unstable; urgency=low

  * Separated out Objective-C compiler.
  * Applied patch from http://www.cygnus.com/ml/egcs/1998-Apr/0614.html

 -- Matthias Klose <doko@debian.org>  Fri, 17 Apr 1998 10:25:48 +0200

egcs (1.0.2-0.6) frozen unstable; urgency=low

  * Due to upstream changes (libg++ is now only the GNU specific C++
    classes, and is no longer maintained; libstdc++ contains the C++
    standard library, including STL), the virtual "libg++-dev"
    package's meaning has become confusing. Therefore, new or updated
    packages should no longer use the virtual "libg++-dev" package.
  * Corrected g++'s Recommends to libstdc++2.8-dev (>=2.90.27-0.1).
    The previous version had Recommends: libstdc++-dev (>=2.90.27-0.1)
    which doesn't work, as libstc++-dev is a virtual package.
  * Bumped Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 14 Apr 1998 11:52:08 +0200

egcs (1.0.2-0.5) frozen unstable; urgency=low (high for maintainers of packages that use libstdc++)

  * Modified shlibs file for libstdc++ to generate versioned dependencies,
    as it is not link compatible with the 1.0.1-x versions in
    project/experimental. (Fixes #20247, #20033)
    Packages depending on libstd++ should be recompiled to fix their
    dependencies.
  * Strenghtened g++'s Recommends: libstdc++-dev to the 1.0.2 version or
    newer.
  * Fixed problems with the unknown(7) symlink for gcov.
  * Reordering links now works.

 -- Adam Heath <adam.heath@usa.net>  Sun, 12 Apr 1998 13:09:30 -0400

egcs (1.0.2-0.4) frozen unstable; urgency=low

  * Unreleased. This is the version Adam Heath received from me.
  * Replaces: gcc (<= 2.7.2.3-3) so that the overlap with the older gcc
    packages (including bo's gcc_2.7.2.1-8) is handled properly
    (fixes #19931, #19672, #20217, #20593).
  * Alpha architecture (fixes #20875):
    * Patched gcc/config/alpha/linux.h for the gmon functions to operate
      properly.
    * Made egcs the primary C compiler.
    * Enabled Hafia scheduling.
  * Lintian-detected problems:
    * E: libstdc++2.8: ldconfig-symlink-before-shlib-in-deb usr/lib/libstdc++.so.2.8
    * E: egcc: binary-without-manpage gcov
      Reported as wishlist bug; added link to undocumented(7).
    * W: libstdc++2.8: non-standard-executable-perm usr/lib/libstdc++.so.2.8.0 0555
    * E: libstdc++2.8: shlib-with-executable-bit usr/lib/libstdc++.so.2.8.0 0555

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 10 Apr 1998 14:46:46 +0200

egcs (1.0.2-0.3) frozen unstable; urgency=low

  * Really fixed dependencies.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 30 Mar 1998 11:30:26 +0200

egcs (1.0.2-0.2) frozen unstable; urgency=low

  * Fixed dependencies.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 28 Mar 1998 13:58:58 +0100

egcs (1.0.2-0.1) frozen unstable; urgency=low

  * New upstream version; it now has -Di386 in CPP_PREDEFINES.
  * Only used the debian/* patches from 1.0.1-2; the rest of it appears
    to be in 1.0.2 already.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 27 Mar 1998 11:47:14 +0100

egcs (1.0.1-2) unstable; urgency=low

  * Integrated pre-release 1.0.2 patches
  * Split out g++
  * egcs may now provide either the primary or secondary C compiler

 -- Galen Hazelwood <galenh@micron.net>  Sat, 14 Mar 1998 14:15:32 -0700

egcs (1.0.1-1) unstable; urgency=low

  * New upstream version
  * egcs is now the standard Debian gcc!
  * gcc now provides c-compiler (#15248 et al.)
  * g77 now provides fortran77-compiler
  * g77 dependencies now correct (#16991)
  * /usr/doc/gcc/changelog.gz now has correct permissions (#16139)

 -- Galen Hazelwood <galenh@micron.net>  Sat,  7 Feb 1998 19:22:30 -0700

egcs (1.0-1) experimental; urgency=low

  * First official release

 -- Galen Hazelwood <galenh@micron.net>  Thu,  4 Dec 1997 16:30:11 -0700

From late September until the release, I was unable to get any snapshot to
compile...

egcs (970917-1) experimental; urgency=low

  * New upstream snapshot (There's a lot of stuff here as well, including
    a new libstdc++, but it _still_ won't build...)
  * eg77 driver now works properly

 -- Galen Hazelwood <galenh@micron.net>  Wed, 17 Sep 1997 20:44:29 -0600

egcs (970904-1) experimental; urgency=low

  * New upstream snapshot

 -- Galen Hazelwood <galenh@micron.net>  Sun,  7 Sep 1997 18:25:06 -0600

egcs (ss-970814-1) experimental; urgency=low

  * Initial packaging (of initial snapshot!)

 -- Galen Hazelwood <galenh@micron.net>  Wed, 20 Aug 1997 00:36:28 +0000

gcc272 (2.7.2.3-12) unstable; urgency=low

  * Compiled on a glibc-2.0 based system.
  * Reflect move of manpage to /usr/share in gcc.postinst as well.
  * Moved gcc272-docs to section doc, priority optional.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sat, 28 Aug 1999 13:42:13 +0200

gcc272 (2.7.2.3-11) unstable; urgency=low

  * Follow Debian policy for GNU system type (fixes #42657).
  * config/i386/linux.h: Remove %[cpp_cpu] from CPP_SPEC. Stops gcc-2.95
    complaining about obsolete spec operators (using gcc -V 2.7.2.3).
    Patch suggested by Zack Weinberg <zack@bitmover.com>.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sun, 15 Aug 1999 20:12:21 +0200

gcc272 (2.7.2.3-10) unstable; urgency=low

  * Renamed source package to gcc272. The egcs source package is renamed
    to gcc, because it's now the "official" GNU C compiler.
  * Changed maintainer address to "Debian GCC maintainers".
  * Install info and man stuff to /usr/share.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Thu, 27 May 1999 12:29:23 +0200

gcc (2.7.2.3-9) unstable; urgency=low

  * debian/{postinst,prerm}-doc: handle gcc272.info, not gcc.info.
    Fixes #36306.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 20 Apr 1999 07:32:58 +0200

gcc (2.7.2.3-8) unstable; urgency=low

  * Make gcc-2.7 the secondary compiler. Rename gcc package to gcc272.
    On i386, sparc and m68k, this package is compiled against glibc2.0.
  * The cpp package is built from the egcs source package.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 29 Mar 1999 22:48:50 +0200

gcc (2.7.2.3-7) frozen unstable; urgency=low

  * Separated out ObjC compiler to gobjc27 package.
  * Changed maintainer address.
  * Synchronized README.Debian with egcs-1.1.1-3.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 29 Dec 1998 19:05:26 +0100

gcc (2.7.2.3-6) frozen unstable; urgency=low

  * Link with -lc on i386, m68k, sparc, when building shared libraries
    (fixes #25122).

 -- Matthias Klose <doko@cs.tu-berlin.de>  Thu,  3 Dec 1998 12:12:12 +0200

gcc (2.7.2.3-5) frozen unstable; urgency=low

  * Updated maintainer info.
  * Updated Standards-Version; made lintian-clean.
  * gcc-docs can coexist with the latest egcs-docs, so added (<= version) to
    the Conflicts.
  * Updated the README and renamed it to README.Debian .
  * Put a reference to /usr/doc/gcc/README.Debian in the info docs.
  * Updated description of g++272 .
  * Clean up generated info files, to keep the diff small.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 17 Nov 1998 20:05:59 +0100

gcc (2.7.2.3-4.8) frozen unstable; urgency=high

  * Non-maintainer release
  * Fix type in extended description
  * Removed wrong test in postinst
  * Add preinst to clean up some stuff from an older gcc package properly
    and stop man complaining about dangling symlinks

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 17 Jul 1998 18:48:32 +0200

gcc (2.7.2.3-4.7) frozen unstable; urgency=high

  * Really fixed gcc-docs postinst (Fixes #23470), so that `gcc-docs'
    becomes installable.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 15 Jun 1998 07:53:40 +0200

gcc (2.7.2.3-4.6) frozen unstable; urgency=high

  * [gcc.c] There is one call to choose_temp_base for determining the
    tempdir to be used only;
    #ifdef HAVE_MKSTEMP delete the tempfile created as a side effect.
    (fixes #23123 for gcc).
  * gcc-docs postinst was broken (due to a broken line) (fixes #23391, #23401).
  * [debian/control] description for gcc-docs said `egcs' where it should have
    said `gcc' (fixes #23396).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu, 11 Jun 1998 12:48:50 +0200

gcc (2.7.2.3-4.5) frozen unstable; urgency=high

  * The previous version left temporary files behind, as they were not
    marked for deletion afterwards.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 31 May 1998 22:49:14 +0200

gcc (2.7.2.3-4.4) frozen unstable; urgency=high (security fixes)

  * Security improvements with regard to the /tmp problem
    (gcc opens predictably named files in TMPDIR which can be abused via
    symlinks)  (Fixes #19453 for gcc):
    * Compile -DMKTEMP_EACH_FILE to ensure the %u name is generated randomly
      every time; affects gcc/gcc.c .
    * [cp/g++.c, collect2.c, gcc.c] If compiled -DHAVE_MKSTEMP use mkstemp(3)
      rather than mktemp(3).
    * Security improvements: don't use the result of choose_temp_base in a
      predictable fashion.
      [gcc.c]:
      * @c, @objective-c: use random name rather then tempbasename.i for
        intermediate preprocessor output (%g.i -> %d%u).
      * @c, @objective-c: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @c, @objective-c, @cpp-output, @assembler-with-cpp: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @c, @objective-c, @assembler-with-cpp: use previous random name
        (cc1|cpp output) rather then tempbasename.s for intermediate assembler
        input (%g.s -> %U)
      [f/lang-specs.h]:
      * @f77-cpp-input: use random name rather then tempbasename.i for
        intermediate cpp output (%g.i -> %d%u).
      * @f77-cpp-input: use previous random name (cpp output) rather than
        tempbasename.i for f771 input (%g.i -> %U).
      * @f77-cpp-input: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @f77-cpp-input: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @ratfor: use random name rather then tempbasename.i for
        intermediate ratfor output (%g.f -> %d%u).
      * @ratfor: use previous random name (ratfor output) rather than
        tempbasename.i for f771 input (%g.f -> %U).
      * @ratfor: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @ratfor: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @ratfor: use previous random name
        (ratfor output) rather then tempbasename.s for intermediate assembler
        input (%g.s -> %U).
      * @f77: use random name rather then tempbasename.s for
        intermediate ratfor output (%g.f -> %d%u).
      * @ratfor: use previous random name (ratfor output) rather than
        tempbasename.i for f771 input (%g.f -> %U).
      * @ratfor: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @ratfor: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @ratfor: use previous random name
        (ratfor output) rather then tempbasename.s for intermediate assembler
        input (%g.s -> %U).
      * @f77: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %d%u).
      * @f77: switched
        "as [-o output file] <input file>" to
        "as <input file> [-o output file]".
      * @ratfor: use random name rather then tempbasename.s for
        intermediate compiler output (%g.s -> %U).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 30 May 1998 17:27:03 +0200

gcc (2.7.2.3-4.3) frozen unstable; urgency=high

  * The "alpha" patches from -4 affected a lot more than alpha support,
    and in all likeliness broke compilation of libc6 2.0.7pre3-1
    and 2.0.7pre1-4 . I removed them by selective application of the
    diff between -4 and -4. (should fix #22292).
  * Fixed reference to the trampolines paper (fixes #20002 for Debian;
    this still needs to be forwarded).
  * This is for frozen too. (obsoletes #22390 (request to move -4.2 to
    frozen)).
  * Split of gcc-docs package, so that the gcc can be succesfully installed
    on systems that have egcs-docs installed.
  * Added the README on the compiler situation that's already in the egcs
    packages.
  * Use the recommended settings LDFLAGS=-s CFLAGS= BOOT_CFLAGS='-O2'.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu, 28 May 1998 20:03:59 +0200

gcc (2.7.2.3-4.2) unstable; urgency=low

  * Still for unstable, as I have received no feedback about the g++272
    package yet.
  * gcc now Provides: objc-compiler .
  * Clean up /etc/alternatives/{g++,g++.1.gz} if they are dangling.
    (fixes #19765, #20563)

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 22 Apr 1998 12:40:45 +0200

gcc (2.7.2.3-4.1) unstable; urgency=low

  * Bumped Standards-Version.
  * Forked off a g++272 package (e.g. for code that uses the GNU extensions
    in libg++); for now this is in "unstable" only; feedback appreciated.
  * Some cleanup (lintian): permissions, absolute link, gzip manpage.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 17 Apr 1998 13:05:25 +0200

gcc (2.7.2.3-4) unstable; urgency=low

  * Added alpha patches
  * Only build C and objective-c compilers, split off g++

 -- Galen Hazelwood <galenh@micron.net>  Sun,  8 Mar 1998 21:16:39 -0700

gcc (2.7.2.3-3) unstable; urgency=low

  * Added patches for m68k
  * Added patches for sparc (#13968)

 -- Galen Hazelwood <galenh@micron.net>  Fri, 17 Oct 1997 18:25:21 -0600

gcc (2.7.2.3-2) unstable; urgency=low

  * Added g77 support (g77 0.5.21)

 -- Galen Hazelwood <galenh@micron.net>  Wed, 10 Sep 1997 18:44:54 -0600

gcc (2.7.2.3-1) unstable; urgency=low

  * New upstream version
  * Now using pristine source
  * Removed misplaced paragraph in cpp.texi (#10877)
  * Fix security bug for temporary files (#5298)
  * Added Suggests: libg++-dev (#12335)
  * Patched objc/thr-posix.c to support conditions (#12502)

 -- Galen Hazelwood <galenh@micron.net>  Mon,  8 Sep 1997 12:20:07 -0600

gcc (2.7.2.2-7) unstable; urgency=low

  * Made cc and c++ managed through alternates mechanism (for egcs)

 -- Galen Hazelwood <galenh@micron.net>  Tue, 19 Aug 1997 22:37:03 +0000

gcc (2.7.2.2-6) unstable; urgency=low

  * Tweaked Objective-C thread support (#11069)

 -- Galen Hazelwood <galenh@micron.net>  Wed,  9 Jul 1997 11:56:57 -0600

gcc (2.7.2.2-5) unstable; urgency=low

  * More updated m68k patches
  * Now conflicts with libc5-dev (#10006, #10112)
  * More strict Depends: cpp, prevents version mismatch (#9954)

 -- Galen Hazelwood <galenh@micron.net>  Thu, 19 Jun 1997 01:29:02 -0600

gcc (2.7.2.2-4) unstable; urgency=low

  * Moved to unstable
  * Temporarily removed fortran support (waiting for new g77)
  * Updated m68k patches

 -- Galen Hazelwood <galenh@micron.net>  Fri,  9 May 1997 13:35:14 -0600

gcc (2.7.2.2-3) experimental; urgency=low

  * Built against libc6 (fixes bug #8511)

 -- Galen Hazelwood <galenh@micron.net>  Fri, 4 Apr 1997 13:30:10 -0700

gcc (2.7.2.2-2) experimental; urgency=low

  * Fixed configure to build crt{begin,end}S.o on i386

 -- Galen Hazelwood <galenh@micron.net>  Tue, 11 Mar 1997 16:15:02 -0700

gcc (2.7.2.2-1) experimental; urgency=low

  * Built for use with libc6-dev (experimental purposes only!)
  * Added m68k patches from Andreas Schwab

 -- Galen Hazelwood <galenh@micron.net>  Fri, 7 Mar 1997 12:44:17 -0700

gcc (2.7.2.1-7) unstable; urgency=low

  * Patched to support g77 0.5.20

 -- Galen Hazelwood <galenh@micron.net>  Thu, 6 Mar 1997 22:20:23 -0700

gcc (2.7.2.1-6) unstable; urgency=low

  * Added (small) manpage for protoize/unprotoize (fixes bug #6904)
  * Removed -lieee from specs file (fixes bug #7741)
  * No longer builds aout-gcc

 -- Galen Hazelwood <galenh@micron.net>  Mon, 3 Mar 1997 11:10:20 -0700

gcc (2.7.2.1-5) unstable; urgency=low

  * debian/control now lists cpp in section "interpreters"
  * Re-added Objective-c patches for unstable

 -- Galen Hazelwood <galenh@micron.net>  Wed, 22 Jan 1997 10:27:52 -0700

gcc (2.7.2.1-4) stable unstable; urgency=low

  * Changed original source file so dpkg-source -x works
  * Removed Objective-c patches (unsafe for stable)
  * Built against rex's libc, so fixes placed in -3 are available to
    those still using rex

 -- Galen Hazelwood <galenh@micron.net>  Tue, 21 Jan 1997 11:11:53 -0700

gcc (2.7.2.1-3) unstable; urgency=low

  * New (temporary) maintainer
  * Updated to new standards and source format
  * Integrated aout-gcc into gcc source package
  * Demoted aout-gcc to Priority "extra"
  * cpp package description more clear (fixes bug #5428)
  * Removed cpp "Replaces: gcc" (fixes bug #5762)
  * Minor fix to invoke.texi (fixes bug #2909)
  * Added latest Objective-C patches for GNUstep people (fixes bug #4657)

 -- Galen Hazelwood <galenh@micron.net>  Sun, 5 Jan 1997 09:57:36 -0700

Previous changes:

Re-split into completely separate cpp and gcc packages (Bug#3838).

Local variables:
mode: debian-changelog
End:
